﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert das Panel für die Demo der LinkLabel-Steuerelemente.
    /// </summary>
    public partial class CpnlLinkLabel : UserControl
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlLinkLabel.
        /// </summary>
        public CpnlLinkLabel()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für das Laden des Formulars.
        /// </summary>
        private void CpnlLinkLabel_Load(object sender, EventArgs e)
        {
            _llblSentence.Links.Add(72, 13, "http://www.weroSoft.net");
            _llblSentence.Links.Add(115, 10, "http://www.knowledge.werosoft.net/public/Handbuch%20der%20NET%2040%20Programmierung/Korrigenda.aspx");
        }

        /// <summary>
        /// Ereignisbehandlung für das Ausführen der direkten Verknüpfung.
        /// </summary>
        private void Direct_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            _llblDirect.LinkVisited = true;
            System.Diagnostics.Process.Start(_llblDirect.Text as string);

        }

        /// <summary>
        /// Ereignisbehandlung für das Ausführen der indirekten Verknüpfung.
        /// </summary>
        private void Sentence_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            _llblSentence.Links[_llblSentence.Links.IndexOf(e.Link)].Visited = true;
            System.Diagnostics.Process.Start(e.Link.LinkData.ToString());
        }
    }
}
