﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos der SpliContainer-Steuerelemente.
    /// </summary>
    public partial class CpnlSplitContainer : UserControl
    {
        /// <summary>
        /// Initialisiert eine Instanz der Klasse CpnlSplitContainer.
        /// </summary>
        public CpnlSplitContainer()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für die Bedienung der Schaltfläche 'Aufklappen'.
        /// </summary>
        private void _btnExpand_Click(object sender, EventArgs e)
        {
            _spnlBottom.Panel2Collapsed = false;
        }

        /// <summary>
        /// Ereignisbehandlung für die Bedienung der Schaltfläche 'Einklappen'.
        /// </summary>
        private void _btnCollapse_Click(object sender, EventArgs e)
        {
            _spnlBottom.Panel2Collapsed = true;
        }
    }
}
