﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Design;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Dialogfeld für die Einbindung eines PropertyGrid-Editors.
    /// </summary>
    public partial class CdlgPropertyGridEditorTrackBar : Form
    {
        /// <summary>
        /// Notwendige Verbindung für die Ansteuerung aus dem PropertyGrid-Steuerelement.
        /// </summary>
        public IWindowsFormsEditorService WindowsFormsEditorService { get; set; }

        /// <summary>
        /// Initialisiert eine neuen Instanz der Klasse CdlgPropertyGridEditorTrackBar.
        /// </summary>
        public CdlgPropertyGridEditorTrackBar()
        {
            InitializeComponent();

            // Diese Eigenschaft muss für die Unterstützung mit dem 
            // PropertyGrid-Steuerelement ausgeschaltet werden.
            TopLevel = false;

            // Datenbindung zwischen dem TrackBar und der Wertanzeige herstellen
            _lblValue.DataBindings.Add("Text", new BindingSource().DataSource = TrackValue, "Value");
        }
    }
}
