﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Kleine Überraschung für alle!
    /// </summary>
    public partial class CdlgSurprise : Form
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CdlgSurprise.
        /// </summary>
        public CdlgSurprise()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für das Laden des Dialogfeldes.
        /// </summary>
        private void CdlgSurprise_Load(object sender, EventArgs e)
        {
            System.Media.SoundPlayer objPlayer = new System.Media.SoundPlayer(Properties.Resources.Lachen);
            objPlayer.Play();
        }

        /// <summary>
        /// Ereignisbehandlung für das Klicken auf das Label.
        /// </summary>
        private void Label_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        /// <summary>
        /// Automatisches Schliessen des Dialogfeldes.
        /// </summary>
        private void TimerClose_Tick(object sender, EventArgs e)
        {
            _timerClose.Enabled = false;
            _timerClose.Dispose();
            this.Close();
        }
    }
}
