using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Geometrische Linienfigur
    /// </summary>
    public abstract class CwlbLineBaseShape : CwlbDualPointShape
    {
        // Linienfarbe
        protected Color _colLine = Color.Black;
        // Liniendicke
        protected int _iLineWidth = 1;
        // Linientyp
        protected DashStyle _enmDashStyle = DashStyle.Solid;

        /// <summary>
        /// Liefert oder definiert die Linienfarbe
        /// </summary>
        [DisplayName("Linienfarbe")]
        [Category("Aussehen")]
        public Color LineColor
        {
            get
            {
                return _colLine;
            }
            set
            {
                _colLine = value;
            }
        }
    }
}
