using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Geometrische Linienfigur
    /// </summary>
    public abstract class CwlbSinglePointShape : CwlbShape
    {

        // StartPunkt
        protected Point _ptP1;

        /// <summary>
        /// Liefert oder definiert den Startpunkt
        /// </summary>
        [DisplayName("Startpunkt")]
        [Category("Geometrie")]
        public Point P1
        {
            get
            {
                return _ptP1;
            }
            set
            {
                _ptP1 = value;
            }
        }
    }
}
