﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert einen Farbkonvertierer.
    /// </summary>
    public class CwlbColorConverter : IMultiValueConverter
    {
        /// <summary>
        /// Konvertiert den 
        /// </summary>
        /// <param name="values"></param>
        /// <param name="targetType"></param>
        /// <param name="parameter"></param>
        /// <param name="culture"></param>
        /// <returns></returns>
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            byte byteAlpha = System.Convert.ToByte(values[0]);
            byte byteRed = System.Convert.ToByte(values[1]);
            byte byteGreen = System.Convert.ToByte(values[2]);
            byte byteBlue = System.Convert.ToByte(values[3]);
            return Color.FromArgb(byteAlpha, byteRed, byteGreen, byteBlue);
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
