﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert eine Schnittstelle für der betrachteten Detailklasse.
    /// </summary>
    public class CwlbInterface
    {
        /// <summary>
        /// Liefert oder definiert die Typeninformation der Schnittstelle.
        /// </summary>
        public Type Type { get; set; }

        /// <summary>
        /// Liefert oder definiert den Text des Tooltipps des Elements.
        /// </summary>
        public string ToolTip { get; set; }

        /// <summary>
        /// Liefert den Typnamen der Schnittstelle.
        /// </summary>
        public string TypeName
        {
            get
            {
                return Type.Name;
            }
        }
    }
}
