﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert ein Methodenobjekt der betrachteten Detailklasse.
    /// </summary>
    public class CwlbMethod
    {
        /// <summary>
        /// Liefert oder definiert den Namen der Methode.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Liefert oder definiert den Text des Tooltipps der Methode.
        /// </summary>
        public string ToolTip { get; set; }

        /// <summary>
        /// Liefert oder definiert die Signatur der Methode.
        /// </summary>
        public string Signature { get; set; }
    }
}
