﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert ein Hilfsobjekt für die Kontrolle von .NET Typ und eigenem Typ für eine Demo.
    /// </summary>
    class CwlbPanel
    {
        /// <summary>
        /// Typobjekt des Panels für die Demo.
        /// </summary>
        public Type PanelType { get; set; }

        /// <summary>
        /// Lifeobjekt der Demo.
        /// </summary>
        public Control Control { get; set; }

        /// <summary>
        /// Typobjekt des Steuerelements, das Demonstriert wird.
        /// </summary>
        public Type DemoControl { get; set; }
    }
}
