﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaction logic for CwlbMVVMDemo.xaml
    /// </summary>
    public partial class CwlbMVVMDemo : Page
    {
        /// <summary>
        /// Initialisiert eine neue Instanz des Typs CwlbMVVMDemo.
        /// </summary>
        public CwlbMVVMDemo()
        {
            // Spracheinstellung vornehmen
            var obj = FrameworkElement.LanguageProperty.GetMetadata(typeof(FrameworkElement));
            if (obj is FrameworkPropertyMetadata)
            {
                if (obj.DefaultValue != System.Windows.Markup.XmlLanguage.GetLanguage(CultureInfo.CurrentCulture.IetfLanguageTag))
                {
                    FrameworkElement.LanguageProperty.OverrideMetadata(
                        typeof(FrameworkElement),
                        new FrameworkPropertyMetadata(System.Windows.Markup.XmlLanguage.GetLanguage(CultureInfo.CurrentCulture.IetfLanguageTag)));
                }
            }

            // Datenkontext mit dem Hauptviewmodel definieren.
            this.DataContext = new CwlbMainViewModel();

            // Fensterinhalt generieren.
            InitializeComponent();
        }
    }
}
