﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.HtmlControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Implementiert allgmeingültige Methoden und Daten des Projekts.
    /// </summary>
    public static class GwlbApplication
    {
        /// <summary>
        /// Definiert den Namen des eigenen Anwendungsobjekts, das im Anwendungszustand gespeichert wird.
        /// </summary>
        public const string APP_OBJECT_NAME = "GENERAL_APP_OBJECT";

        /// <summary>
        /// Schreibt ein Schlüssel-Wert-Paar in eine HTML-Tabelle.
        /// </summary>
        public static void WriteValue(HtmlTable objTable, string strKey, string strValue)
        {
            // Zeile erstellen
            HtmlTableRow objRow = new HtmlTableRow();
            objTable.Rows.Add(objRow);

            // Zelle 1 erstellen
            HtmlTableCell objCell = new HtmlTableCell();
            objCell.InnerHtml = strKey;
            objRow.Cells.Add(objCell);

            // Zelle 2 erstellen
            objCell = new HtmlTableCell();
            objCell.InnerHtml = strValue;
            objRow.Cells.Add(objCell);
        }

    }
}