﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Reflection;
using System.Collections;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Funktionalität der Demoseite für versteckte Felder.
    /// </summary>
    public partial class CwlbHiddenField : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung für das Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            DateTime dtNow = DateTime.Now;

            if (!IsPostBack)
            {
                _tbShowTime.Text = "Erste Anzeige";
            }
            else
            {
                // Lese das versteckte Feld
                DateTime dtLastShow = DateTime.FromBinary(long.Parse(_hfLastCall.Value));
                _tbShowTime.Text = (dtNow - dtLastShow).ToString();
            }

            // Speichere die aktuelle Zeit
            _hfLastCall.Value = DateTime.Now.ToBinary().ToString();
        }
    }
}