﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Web.Profile;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Funktionalität für die Demo des Lesezugriffs eines allgemeinen Profils.
    /// </summary>
    public partial class CwlbProfiling : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung für das Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                _tbName.Text = this.Context.Profile["Person.Name"].ToString();
                _tbFirstName.Text = this.Context.Profile["Person.FirstName"].ToString();
                _tbCurrentPhase.Text = this.Context.Profile["CurrentPhase"].ToString();
                _tbCurrentValue.Text = this.Context.Profile["CurrentValue"].ToString();
            }
        }

        /// <summary>
        /// Ereignisbehandlung für die Aktualisierung der Seite.
        /// </summary>
        protected void _btnRefresh_Click(object sender, EventArgs e)
        {
            // Speichern der Daten im anonymen Profil.
            this.Context.Profile["Person.Name"] = _tbName.Text;
            this.Context.Profile["Person.FirstName"] = _tbFirstName.Text;
            this.Context.Profile["CurrentPhase"] = _tbCurrentPhase.Text;
            this.Context.Profile["CurrentValue"] = Convert.ToInt32(_tbCurrentValue.Text);
            this.Context.Profile.Save();
        }
    }
}