﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Realisiert das serverseitige Eventhandling der Verarbeitung der Seite für Demos von Schaltflächen.
    /// </summary>
    public partial class CwlbHtmlButtonControls : System.Web.UI.Page
    {
        /// <summary>
        /// Wird aufgerüfen, wenn eine Schaltfläche auf der Demoseite betätigt wurde.
        /// </summary>
        protected void ServerMethod(object sender, EventArgs e)
        {
            if (sender is HtmlControl)
            {
                _lblFeedback.InnerText = string.Format(
                    "Sie haben eine Taste des Typs {0} betätigt.",
                    ((HtmlControl)sender).GetType().Name);
            }
            else
            {
                _lblFeedback.InnerText = string.Empty;
            }
        }
    }
}