﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="inputControls.aspx.cs"
    Inherits="WeroSoft.Samples.CwlbInputControls" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Demo HTML Eingabeelemente</title>
</head>
<body>
    <form id="_formMain" runat="server" enctype="multipart/form-data">
    <input id="_hidData" type="hidden" runat="server" />
    <h1>
        Verschieden HTML Eingabeelemente</h1>
    <div>
        <table>
            <tr>
                <td>
                    <label id="_lblInput1" for="_tbInput1">
                        Eingabefeld:</label>
                </td>
                <td>
                    <input id="_tbInput1" type="text" maxlength="20" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblInput2" for="_tbInput2">
                        Eingabefeld groß:</label>
                </td>
                <td>
                    <input id="_tbInput2" type="text" maxlength="200" size="100" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblPassword" for="_tbPassword">
                        Kennwort:</label>
                </td>
                <td>
                    <input id="_tbPassword" type="password" maxlength="20" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblTextArea" for="_tbArea">
                        Langer Text:</label>
                </td>
                <td>
                    <textarea id="_tbArea" rows="10" cols="50" runat="server"></textarea>
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblCheckBox1" for="_chkBox1">
                        Auswahl 1:</label>
                </td>
                <td>
                    <input id="_chkBox1" type="checkbox" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblCheckBox2" for="_chkBox2">
                        Auswahl 2:</label>
                </td>
                <td>
                    <input id="_chkBox2" type="checkbox" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblCheckBox3" for="_chkBox3">
                        Auswahl 3:</label>
                </td>
                <td>
                    <input id="_chkBox3" type="checkbox" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblRadio11" for="_rbInpu11">
                        Auswahl 1/1:</label>
                </td>
                <td>
                    <input id="_rbInpu11" name="RadioGroup1" type="radio" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblRadio12" for="_rbInpu12">
                        Auswahl 1/2:</label>
                </td>
                <td>
                    <input id="_rbInpu12" name="RadioGroup1" type="radio" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblRadio13" for="_rbInpu13">
                        Auswahl 1/3:</label>
                </td>
                <td>
                    <input id="_rbInpu13" name="RadioGroup1" type="radio" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblRadio21" for="_rbInpu21">
                        Auswahl 2/1:</label>
                </td>
                <td>
                    <input id="_rbInpu21" name="RadioGroup2" type="radio" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblRadio22" for="_rbInpu22">
                        Auswahl 2/2:</label>
                </td>
                <td>
                    <input id="_rbInpu22" name="RadioGroup2" type="radio" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblRadio23" for="_rbInpu23">
                        Auswahl 2/3:</label>
                </td>
                <td>
                    <input id="_rbInpu23" name="RadioGroup2" type="radio" />
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblDropDownList" for="_ddlSelect">
                        Auswahl mit dropdown Liste:</label>
                </td>
                <td>
                    <select id="_ddlSelect" size="1">
                        <option>Auswahl 1</option>
                        <option>Auswahl 2</option>
                        <option>Auswahl 3</option>
                        <option>Auswahl 4</option>
                        <option selected="selected">Auswahl 5</option>
                        <option>Auswahl 6</option>
                        <option>Auswahl 7</option>
                        <option>Auswahl 8</option>
                        <option>Auswahl 9</option>
                        <option>Auswahl 10</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblListBox" for="_lbInput">
                        Auswahl mit dropdown Liste:</label>
                </td>
                <td>
                    <select id="_lbInput" size="5" multiple="multiple">
                        <option selected="selected" value="Opt1">Auswahl 1</option>
                        <option selected="selected" value="Opt2">Auswahl 2</option>
                        <option value="Opt3">Auswahl 3</option>
                        <option value="Opt4">Auswahl 4</option>
                        <option value="Opt5">Auswahl 5</option>
                        <option value="Opt6">Auswahl 6</option>
                        <option value="Opt7">Auswahl 7</option>
                        <option value="Opt8">Auswahl 8</option>
                        <option value="Opt9">Auswahl 9</option>
                        <option value="Opt10">Auswahl 10</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>
                    <label id="_lblGroupedList" for="_lbGrouped">
                        Auswahl mit dropdown Liste:</label>
                </td>
                <td>
                    <!-- Darf nich mit runat definiert werden -->
                    <select id="_lbGrouped" size="5">
                        <optgroup label="Gruppe A">
                            <option label="Auswahl 1"></option>
                            <option label="Auswahl 2"></option>
                            <option label="Auswahl 3"></option>
                            <option label="Auswahl 4"></option>
                        </optgroup>
                        <optgroup label="Gruppe B">
                            <option>Auswahl 5</option>
                            <option>Auswahl 6</option>
                            <option>Auswahl 7</option>
                            <option>Auswahl 8</option>
                        </optgroup>
                        <option>Auswahl 9</option>
                        <option>Auswahl 10</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td><label id="_lblBound" for="_lbBound">Gebundene Liste:</label></td>
                <td><select id="_lbBound" size="5" runat="server" onserverchange="BoundSelection_Changed" /></td>
            </tr>
            <tr>
                <td><label id="_lblFile" for="_tbFile">Datei an den Server &uuml;bertragen:</label></td>
                <td><input id="_tbFile" type="file" runat="server" /></td>
            </tr>
        </table>
    </div>
    <div>
        <input id="_btnSubmit" type="submit" value="Server aufrufen" />
    </div>
    </form>
</body>
</html>
