﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true"
    CodeBehind="UpdatePanel.aspx.cs" Inherits="WeroSoft.Samples.UpdatePanel" %>

<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:ScriptManager ID="_scriptManager" runat="server" />
    <asp:Timer ID="_timerMain" OnTick="TimerMain_Tick" runat="server" Interval="1000" />
    <asp:UpdatePanel ID="_pnlManaulUpdate" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <label for="_lblManualUpdate">Manuell aktualisierte Zeit:</label><br />
            <asp:Label ID="_lblManualUpdate" runat="server" Text="HH:MM:SS" Font-Size="XX-Large"
                ForeColor="Red"></asp:Label><br />
            <asp:Button ID="_btnManualUpdate" runat="server" Text="Aktualisieren" OnClick="ButtonManualUpdateRefresh_Click" /><br />
        </ContentTemplate>
    </asp:UpdatePanel>
    <br />
    <br />
    <hr />
    <br />
    <br />
    <asp:UpdatePanel ID="_pnlAutoUpdate" runat="server">
        <ContentTemplate>
            <label for="_lblAutoUpdate">Automatisch aktualisierte Zeit:</label><br />
            <asp:Label ID="_lblAutoUpdate" Text="HH:MM:SS" runat="server" Font-Size="XX-Large"
                ForeColor="Red" />
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="_timerMain" />
        </Triggers>
    </asp:UpdatePanel>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemoManual" AssociatedControlID="_pnlManaulUpdate" runat="server"/>
</asp:Content>
