﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" 
         CodeBehind="UpdateProgress.aspx.cs" Inherits="WeroSoft.Samples.UpdateProgress" %>

<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
    <style type="text/css">
        #UpdateProgress { 
            border-right: gray 1px solid; border-top: gray 1px solid; 
            border-left: gray 1px solid; border-bottom: gray 1px solid;
            background-color: #EEDDBB;
            text-align:center;
            z-index:50000;
            top: 0; left: 0; bottom:0; right:0;
            position: absolute;
        }
    </style>
</asp:Content>


<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:ScriptManager ID="_scriptManager" runat="server" />
    <script type="text/javascript">
        var pageRequestManager = Sys.WebForms.PageRequestManager.getInstance();
        pageRequestManager.add_initializeRequest(InitializeRequest);
        function InitializeRequest(sender, args) {
            if (pageRequestManager.get_isInAsyncPostBack()) {
                args.set_cancel(true);
            }
        }
        function AbortPostBack() {
            if (pageRequestManager.get_isInAsyncPostBack()) {
                pageRequestManager.abortPostBack();
            }
        }
    </script>

    <p class="Instructions">Diese Demo simuliert eine länger dauernde, serverseitige Operation.</p>

    <asp:UpdatePanel ID="_objUpdatePanel" runat="server">
        <ContentTemplate>
            <asp:Label ID="_lblUpdatePanel" runat="server" Text="???"></asp:Label>
            <asp:Button ID="_btnUpdatePanel" runat="server" Text="Update" OnClick="_btnUpdatePanel_Click" />
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdateProgress ID="_objUpdateProgress" AssociatedUpdatePanelID="_objUpdatePanel" runat="server">
        <ProgressTemplate>
            <div id="UpdateProgress">
                <br /><br /><br /><br />
                <img src="../images/LogoColor72.png" alt="Logo weroSoft GmbH" />
                <br /><br /><br /><br />
                <asp:Label ID="Label1" Text="Daten werden geladen ..." runat="server" />
                <br /><br /><br /><br />
                <input type="button" value="Abbrechen" onclick="AbortPostBack()" />
            </div>
        </ProgressTemplate>
    </asp:UpdateProgress>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemoManual" AssociatedControlID="_objUpdateProgress" runat="server"/>
</asp:Content>
