﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das UpdateProgress-Steuerelement.
    /// </summary>
    public partial class UpdateProgress : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - ProgressPanel (Ajax)");
            ((Demo)Master).KeepNodeOpen("Web/Ajax");

            // Initialisieren der Anzeige
            _lblUpdatePanel.Text = DateTime.Now.ToLongTimeString();
        }

        protected void _btnUpdatePanel_Click(object sender, EventArgs e)
        {
            // Simulation einer länger dauernden Operation
            System.Threading.Thread.Sleep(5000);
            _lblUpdatePanel.Text = DateTime.Now.ToLongTimeString();
        }
    }
}