﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für Web-Steuerelement image.
    /// </summary>
    public partial class HtmlImage : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Html - Image ");
            ((Demo)Master).KeepNodeOpen("Html/Simple");

            // Prüfen auf Postback
            if (!IsPostBack)
            {
                _ddlSource.Items.Add("../images/Grille.jpg");
                _ddlSource.Items.Add("../images/Papagei.jpg");
                _ddlSource.Items.Add("../FehlerhafteUrl.jpg");
                _ddlSource.Items.Add("[Kein Bild]");
            }
            else
            {
                string strImageUrl = _ddlSource.SelectedItem.Text;
                if (strImageUrl.StartsWith(".."))
                {
                    _imgDemo.Src = strImageUrl;
                }
                else
                {
                    _imgDemo.Src = string.Empty;
                }
            }
        }
    }
}