﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true"
         CodeBehind="JQueryDialog.aspx.cs" Inherits="WeroSoft.Samples.JQueryDialog" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
    <link href="../css/jquery-ui-1.8.9.custom.css" rel="stylesheet" />
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <script type="text/javascript">
        $(function () {

            // Geburstdatum eingeben
            $('#_dtBirthday').datepicker(
            {
                dateFormat: 'dd.mm.yy',
                showWeek: true
            });

            // Handhabung des Dialogs
            $('#dlgAddress').dialog(
            {
                autoOpen: false,
                width: 400,
                height: 250,
                modal: true,
                open: function (event, ui) {
                    var address = $('#_hidStreet').val();
                    var zip = $('#_hidZIP').val();
                    var city = $('#_hidCity').val();

                    $('#dlgAddressStreet').val(address);
                    $('#dlgAddressZip').val(zip);
                    $('#dlgAddressCity').val(city);
                },
                buttons: {
                    "Speichern": function () {

                        var address = $('#dlgAddressStreet').val();
                        var zip = $('#dlgAddressZip').val();
                        var city = $('#dlgAddressCity').val();

                        $('#_hidStreet').val(address);
                        $('#_hidZIP').val(zip);
                        $('#_hidCity').val(city);
                        $('#_tbAddress').val(address + ', ' + zip + ', ' + city);

                        $(this).dialog("close");
                    },
                    "Abbrechen": function () {
                        $(this).dialog("close");
                    }
                }
            });

            // Dialog Link
            $('#_btnAddress').click(function () {
                $(dlgAddress).dialog('open');
                return false;
            });
        });
    </script>

    <input id="_hidStreet" type="hidden" />
    <input id="_hidZIP" type="hidden" />
    <input id="_hidCity" type="hidden" />

    <table>
        <tr>
            <td><label for="_tbName">Name:</label></td>
            <td><input type="text" id="_tbName" /></td>
            <td></td>
        </tr>
         <tr>
            <td><label for="_tbFirstName">Vorname:</label></td>
            <td><input type="text" id="_tbFirstName" /></td>
            <td></td>
       </tr>
        <tr>
            <td><label for="_tbAddress">Adresse:</label></td>
            <td><input type="text" id="_tbAddress" readonly="readonly"/></td>
            <td><button id="_btnAddress">...</button></td>
      </tr>
        <tr>
            <td><label for="_dtBirthday">Geburtsdatum:</label></td>
            <td><input type="text" id="_dtBirthday" /></td>
            <td></td>
    </tr>
   </table>
</asp:Content>


<asp:Content ID="objContentDialog" ContentPlaceHolderID="_plchOutOfForm" runat="server">
    <%-- Dialoginhalt --%>
    <div id="dlgAddress" title="Adresse eingeben">
    <table>
        <tr>
            <td>Strasse</td>
            <td><input type="text" id="dlgAddressStreet" /></td>
        </tr>
        <tr>
            <td>PLZ</td>
            <td><input type="text" id="dlgAddressZip" /></td>
        </tr>
        <tr>
            <td>Ort</td>
            <td><input type="text" id="dlgAddressCity" /></td>
        </tr>
    </table>
    </div>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <p class="Instructions">
        Diese Demo hat keine Eigenschaften.
    </p>
</asp:Content>
