﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true"
    CodeBehind="WebDataList.aspx.cs" Inherits="WeroSoft.Samples.WebDataList" %>

<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:DataList ID="_dlDemo" runat="server" DataSourceID="XmlDataSource" 
        RepeatColumns="1" CellPadding="4" ForeColor="#333333" Width="400px">
        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
        <HeaderTemplate>
            <h3>Personenliste</h3>
        </HeaderTemplate>
        <ItemStyle BackColor="#FFFBD6" ForeColor="#333333" />
        <ItemTemplate>
            <b>Name:</b>&nbsp;<%#XPath("Name")%><br />
            <b>Vorname:</b>&nbsp;<%#XPath("FirstName")%><br />
            <b>Ort:</b>&nbsp;<%#XPath("City")%><br />
            <b>Land:</b>&nbsp;<%#XPath("Country")%><br />
        </ItemTemplate>
        <SelectedItemStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
        <SeparatorTemplate>
            <hr />
        </SeparatorTemplate>
        <FooterStyle BackColor="#990000" Font-Bold="True" Font-Italic="False" 
            Font-Overline="False" Font-Size="X-Small" Font-Strikeout="False" 
            Font-Underline="False" ForeColor="White" />
        <FooterTemplate>
            <p>
                Aufbereitet mit einem DataList-Steuerelement</p>
        </FooterTemplate>
        <AlternatingItemStyle BackColor="White" />
        <AlternatingItemTemplate>
            <b>Name:</b>&nbsp;<%#XPath("Name")%><br />
            <b>Vorname:</b>&nbsp;<%#XPath("FirstName")%><br />
            <b>Ort:</b>&nbsp;<%#XPath("City")%><br />
            <b>Land:</b>&nbsp;<%#XPath("Country")%><br />
        </AlternatingItemTemplate>
    </asp:DataList>

    <asp:XmlDataSource ID="XmlDataSource" runat="server" DataFile="~/App_Data/DataListDemo.xml" XPath="//DemoData/Person"/>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid ID="_pgrDemo" AssociatedControlID="_dlDemo" runat="server" />
</asp:Content>
