﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true"
    CodeBehind="WebWizard.aspx.cs" Inherits="WeroSoft.Samples.WebWizard" %>

<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
    <style type="text/css">
        .Address
        {
            height:6em;
        }
    </style>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:Wizard ID="_wzDemo" runat="server" ActiveStepIndex="2" CancelButtonText="Abbrechen"
        FinishCompleteButtonText="Fertigstellen" FinishPreviousButtonText="Vordere Seite"
        StartNextButtonText="Nächste Seite" StepNextButtonText="Nächste Seite" StepPreviousButtonText="Vordere Seite"
        CellSpacing="10" DisplayCancelButton="True" HeaderText="Person erfassen" BackColor="#E6E2D8"
        BorderColor="#999999" BorderStyle="Solid" BorderWidth="1px" Font-Names="Verdana"
        Font-Size="0.8em">
        <StepStyle BackColor="#F7F6F3" BorderColor="#E6E2D8" BorderStyle="Solid" BorderWidth="2px" />
        <WizardSteps>
            <asp:WizardStep runat="server" Title="Person">
                <table>
                    <tr>
                        <td colspan="2">
                            Angaben zur Person
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Name:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbWizardName" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Vorname:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbWizardFirstName" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Geburtsdatum:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbWizardBirthDate" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Geschlecht:&nbsp;
                        </td>
                        <td>
                            <asp:RadioButton ID="_rbWizardFemale" runat="server" Text="weiblich" />
                            <asp:RadioButton ID="_rbWizardMale" runat="server" Text="m&#228;nnlich" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Adresse:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbWizardAddress" TextMode="MultiLine" runat="server" CssClass="Address"></asp:TextBox>
                        </td>
                    </tr>
                </table>
            </asp:WizardStep>
            <asp:WizardStep runat="server" Title="Gruppen">
                <table>
                    <tr>
                        <td colspan="2">
                            Personengruppen:&nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Gruppen:&nbsp;
                        </td>
                        <td>
                            <asp:ListBox ID="_lbWizardGroups" runat="server" SelectionMode="Multiple">
                                <asp:ListItem>Kunden</asp:ListItem>
                                <asp:ListItem>Lieferanten</asp:ListItem>
                                <asp:ListItem>Mitarbeiter</asp:ListItem>
                                <asp:ListItem>Veranstalter</asp:ListItem>
                                <asp:ListItem>Referenten</asp:ListItem>
                                <asp:ListItem>&#214;ffentliche &#196;mter</asp:ListItem>
                                <asp:ListItem>Marketing</asp:ListItem>
                                <asp:ListItem>Nicht Zuordenbar</asp:ListItem>
                            </asp:ListBox>
                        </td>
                    </tr>
                </table>
            </asp:WizardStep>
            <asp:WizardStep runat="server" Title="Kontakte">
                <table>
                    <tr>
                        <td colspan="2">
                            Kontaktinformationen:&nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Datum:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbWizardContactDate" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Information:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbWizardContactInfo" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Kontakte:&nbsp;
                        </td>
                        <td>
                            <asp:ListBox ID="_lbWizardContact" runat="server"></asp:ListBox>
                        </td>
                    </tr>
                </table>
                <br />
                <table>
                    <tr>
                        <td style="padding:4px">
                            <asp:Button ID="_btnWizardContactAdd" runat="server" Text="Hinzuf&#252;gen" OnClick="_btnWizardContactAdd_Click"
                                BackColor="White" BorderColor="#C5BBAF" BorderStyle="Solid" BorderWidth="1px"
                                Font-Names="Verdana" Font-Size="0.8em" ForeColor="#1C5E55" />
                        </td>
                        <td style="padding:4px">
                            <asp:Button ID="_btnWizardContactDelete" runat="server" Text="L&#246;schen" OnClick="_btnWizardContactDelete_Click"
                                BackColor="White" BorderColor="#C5BBAF" BorderStyle="Solid" BorderWidth="1px"
                                Font-Names="Verdana" Font-Size="0.8em" ForeColor="#1C5E55" />
                        </td>
                    </tr>
                </table>
            </asp:WizardStep>
        </WizardSteps>
        <HeaderStyle BackColor="#666666" BorderColor="#E6E2D8" BorderStyle="Solid" BorderWidth="2px"
            Font-Bold="True" Font-Size="0.9em" ForeColor="White" HorizontalAlign="Center" />
        <NavigationButtonStyle BackColor="White" BorderColor="#C5BBAF" BorderStyle="Solid"
            BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" ForeColor="#1C5E55" />
        <SideBarButtonStyle ForeColor="White" />
        <SideBarStyle VerticalAlign="Top" BackColor="#1C5E55" Font-Size="0.9em" />
    </asp:Wizard>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <p class="Instructions">
        Diese Demo hat keine Eigenschaften.
    </p>
</asp:Content>
