﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo des Button-Steuerelements.
    /// </summary>
    public partial class WebButton : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - Button");
            ((Demo)Master).KeepNodeOpen("Web/Simple");
        }

        /// <summary>
        /// Ereignisbehandlung nach dem Auslösen der Schalfläche.
        /// </summary>
        protected void ButtonNormal_Click(object sender, EventArgs e)
        {
            // Commanddaten ausgeben
            _blResult.Items.Clear();
            if (sender == _btnNormal)
            {
                _blResult.Items.Add(string.Format("CommandName: {0}", _btnNormal.CommandName));
                _blResult.Items.Add(string.Format("CommandArgument: {0}", _btnNormal.CommandArgument));
            }

            // Propertygrid-Steuerelement korrekt setzen
            _pgrDemo.AssociatedControlID = ((WebControl)sender).ID;
            _pgrDemo.ReInitialize();
        }
    }
}