﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo des CheckBoxList-Steuerelements.
    /// </summary>
    public partial class WebCheckBoxList : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - CheckBoxList");
            ((Demo)Master).KeepNodeOpen("Web/Simple");

            // Ausgabe zurücksetzen
            _blSelection.Items.Clear();

            // Auswahl reflektieren
            foreach (ListItem objItem in _cblDemo.Items)
            {
                if (objItem.Selected)
                {
                    _blSelection.Items.Add(string.Format("Element {0} mit Text {1}", objItem.Value, objItem.Text));
                }
            }
        }
    }
}