﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo des DropDownList-Steuerelements
    /// </summary>
    public partial class WebDropDownList : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - DropDownList");
            ((Demo)Master).KeepNodeOpen("Web/Simple");
        }

        /// <summary>
        /// Ereignisbehandlung Taste Übertragen betätigt.
        /// </summary>
        protected void ButtonSubmit_Click(object sender, EventArgs e)
        {
            // Daten bereitstellen
            _lblSelectionContent.InnerText = string.Format("Die getroffen Auswahl hat den Wert {0} und den Text {1}.",
                _ddlDemo.SelectedItem.Value,
                _ddlDemo.SelectedItem.Text);
        }
    }
}