﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo des TextBox-Steuerelements.
    /// </summary>
    public partial class WebTextBox : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - TextBox");
            ((Demo)Master).KeepNodeOpen("Web/Simple");
        }

        /// <summary>
        /// Ereignisbehandlung für die Änderung der Demoauswahl.
        /// </summary>
        protected void DemoMode_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (_ddlDemoMode.SelectedValue)
            {
                default:
                case "0":
                    _pgrDemo.SetProperty("TextMode", TextBoxMode.SingleLine);
                    break;
                case "1":
                    _pgrDemo.SetProperty("TextMode", TextBoxMode.SingleLine);
                    _pgrDemo.SetProperty("MaxLength", 20);
                    break;
                case "2":
                    _pgrDemo.SetProperty("TextMode", TextBoxMode.Password);
                    _pgrDemo.SetProperty("MaxLength", 20);
                    break;
                case "3":
                    _pgrDemo.SetProperty("Rows", 20);
                    _pgrDemo.SetProperty("TextMode", TextBoxMode.MultiLine);
                    break;
            }
        }
    }
}