﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebValidationSummary.aspx.cs" Inherits="WeroSoft.Samples.WebValidationSummary" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <table>
        <tr>
            <td>
                <p class="Instructions">
                    Die Demo simuliert die Definition eines Kennwortes. Geben Sie 
                    zweimal dasselbe Kennwort ein und betätigen Sie anschließend
                    die Schaltfläche 'Eingabe'.</p>
            </td>
        </tr>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="_lblName" runat="server" Text="Name:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbName" runat="server"></asp:TextBox>
                        </td>
                         <td>
                            <asp:RequiredFieldValidator ID="_valName" runat="server" EnableClientScript="false"
                                                        ControlToValidate="_tbName" ForeColor="Red"
                                                        Text="*"
                                                        ErrorMessage="Sie müssen einen Namen eingeben."/>
                        </td>
                   </tr>
                    <tr>
                        <td>
                            <asp:Label ID="_lblFirstName" runat="server" Text="Vorname:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbFirstName" runat="server"></asp:TextBox>
                        </td>
                         <td>
                            <asp:RequiredFieldValidator ID="_valFirstName" runat="server" EnableClientScript="false"
                                                        ControlToValidate="_tbFirstName" ForeColor="Red"
                                                        Text="*"
                                                        ErrorMessage="Sie müssen einen Vornamen eingeben."/>
                        </td>
                   </tr>
                    <tr>
                        <td>
                            <asp:Label ID="_lblAddress" runat="server" Text="Adresse:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbAddress" runat="server" TextMode="MultiLine" Height="70px"></asp:TextBox>
                        </td>
                         <td>
                        </td>
                   </tr>
                    <tr>
                        <td>
                            <asp:Label ID="_lblEamil" runat="server" Text="E-Mail:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbEmail" runat="server"/>
                        </td>
                         <td>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" EnableClientScript="false"
                                                        ControlToValidate="_tbEmail" ForeColor="Red" Display="Dynamic"
                                                        Text="*"
                                                        ErrorMessage="Sie müssen eine E-Mail-Adresse eingeben."/>
                            <asp:RegularExpressionValidator ID="_valEmail" runat="server" EnableClientScript="false"
                                                            ControlToValidate="_tbEmail" ForeColor="Red"
                                                            Text="*" Display="Dynamic"
                                                            ErrorMessage="Die E-Mail-Adresse scheint ungültig zu sein." 
                                                            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"/>
                        </td>
                   </tr>
               </table>
            </td>
        </tr>
         <tr>
            <td>
                <asp:ValidationSummary ID="_valSummary" runat="server" BorderStyle="Solid"
                                       HeaderText="Die eingegebenen Daten müssen folgende Regeln erfüllen:"
                                       BorderWidth="1px" ForeColor="Red" />
            </td>
        </tr>
       <tr>
            <td>
                <asp:Button ID="_btnOK" runat="server" Text="Eingabe" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_valSummary" runat="server"/>
</asp:Content>

