﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebValidatorCustom.aspx.cs" Inherits="WeroSoft.Samples.WebValidatorCustom" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <table>
        <tr>
            <td>
                <p class="Instructions">
                    Die Demo simuliert die Definition eines Kennwortes. Geben Sie 
                    zweimal dasselbe Kennwort ein und betätigen Sie anschließend
                    die Schaltfläche 'Eingabe'.</p>
            </td>
        </tr>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="_lblPassword" runat="server" Text="Kennwort:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbPassword" runat="server" MaxLength="10"></asp:TextBox>
                        </td>
                   </tr>
                     <tr>
                        <td>
                            <asp:Label ID="_lblRetype" runat="server" Text="Wiederholung:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbRetype" runat="server"></asp:TextBox>
                        </td>
                   </tr>
               </table>
            </td>
        </tr>
         <tr>
            <td>
                <asp:CustomValidator ID="_valPassword" runat="server" ForeColor="Red" Display="Dynamic"
                                     OnServerValidate="Password_ServerValidate" EnableClientScript="false"
                                     ErrorMessage="Das Kennwort entspricht nicht den Regeln: 5 bis 10 Zeichen,
                                                   mindestens je ein Groß-, ein Kleinbuchstabe und eine Zahl." />
                <asp:CompareValidator ID="CompareValidator1" runat="server" EnableClientScript="false"
                                      ControlToValidate="_tbRetype" ForeColor="Red" Display="Dynamic"
                                      ErrorMessage="Die beiden Kennworte sind nicht gleich." 
                                      ControlToCompare="_tbPassword"/>
                <asp:RequiredFieldValidator ID="_valRequiredPassword" runat="server" EnableClientScript="false"
                                            ControlToValidate="_tbPassword" ForeColor="Red" Display="Dynamic" 
                                            ErrorMessage="Sie müssen explizit eine Kennwort eingeben."/>
                <asp:RequiredFieldValidator ID="_valRequiredRetype" runat="server" EnableClientScript="false"
                                            ControlToValidate="_tbRetype" ForeColor="Red" Display="Dynamic" 
                                            ErrorMessage="Sie müssen explizit das Kennwort wiederholen."/>
            </td>
        </tr>
       <tr>
            <td>
                <asp:Button ID="_btnOK" runat="server" Text="Eingabe" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_valPassword" runat="server"/>
</asp:Content>

