﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebValidatorRange.aspx.cs" Inherits="WeroSoft.Samples.WebValidatorRange" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <table>
        <tr>
            <td>
                <p class="Instructions">
                    Vergleichen Sie die Betätigung der Schaltfläche 'Eingabe' mit Eingabe einer Zahl
                    im Bereich zwischen -10 und 55.5 (inklusive) und einer Zahl ausserhalb dieses Bereichs.
                    Dieses Beispiel kombiniert einen RequiredFieldValidator mit einem RangeValidator, damit
                    keine Eingabe nicht als Wert 0 interpretiert wird.</p>
            </td>
        </tr>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="_lblRange" runat="server" Text="Werteingabe:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbRange" runat="server"></asp:TextBox>
                        </td>
                   </tr>
                </table>
            </td>
        </tr>
         <tr>
            <td>
                <asp:RangeValidator ID="_valRange" runat="server" EnableClientScript="false"
                                    ControlToValidate="_tbRange" ForeColor="Red"
                                    ErrorMessage="Die eingegebene Zahl muss zwischen -10 und 55.5 (inklusive) sein." 
                                    Display="Dynamic" MaximumValue="55.5" MinimumValue="-10" Type="Double" />
                <asp:RequiredFieldValidator ID="_valRequired" runat="server"  EnableClientScript="false"
                                            ControlToValidate="_tbRange" ForeColor="Red" Display="Dynamic" 
                                            ErrorMessage="Sie müssen explizit einen Wert eingeben."/>
            </td>
        </tr>
       <tr>
            <td>
                <asp:Button ID="_btnOK" runat="server" Text="Eingabe" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_valRange" runat="server"/>
</asp:Content>

