﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MainMaster.Master" AutoEventWireup="true"
    CodeBehind="UsingTemplatedAddressControl.aspx.cs" Inherits="WeroSoft.Samples.UsingTemplatedAddressControl" %>

<%@ Register Src="TemplatedAddressDefinition.ascx" TagName="TemplatedAddressDefinition"
    TagPrefix="wlb" %>

<asp:Content ID="_objMainContent" ContentPlaceHolderID="_objContent" runat="server">
    <wlb:TemplatedAddressDefinition ID="_ctlAddress" runat="server">
        <LayoutTemplate>
            <h3>Eingabe der Adresse:</h3>
            <table>
                <tr>
                    <td>
                        <asp:Label ID="_lblFirstName" AssociatedControlID="_tbFirstName" Text="Vorname:" runat="server" />
                    </td>
                    <td>
                        <asp:TextBox ID="_tbFirstName" Text="<%#Container.Address.FirstName%>" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="_lblName" AssociatedControlID="_tbName" Text="Name:" runat="server" />
                    </td>
                    <td>
                        <asp:TextBox ID="_tbName" Text="<%#Container.Address.Name%>" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="_lblStreet" AssociatedControlID="_tbStreet" Text="Strasse / Nr:" runat="server" />
                    </td>
                    <td>
                        <asp:TextBox ID="_tbStreet" Text="<%#Container.Address.Street%>" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="_lblCity" AssociatedControlID="_tbCity" Text="PLZ / Ort:" runat="server" />
                    </td>
                    <td>
                        <asp:TextBox ID="_tbCity" Text="<%#Container.Address.City%>" runat="server" />
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
    </wlb:TemplatedAddressDefinition>
</asp:Content>
