﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Text;

namespace WeroSoft.Samples.Handler
{
    public partial class ShowTrafficLog : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string strLogFile = Server.MapPath("~\\App_Data\\TrafficLog.log");
            lock (CwlbTrafficLog.LockFileWriting)
            {
                using (FileStream objBaseStream = new FileStream(strLogFile, FileMode.OpenOrCreate, FileAccess.Read, FileShare.ReadWrite))
                using (StreamReader objReader = new StreamReader(objBaseStream))
                {
                    StringBuilder objString = new StringBuilder();
                    string strLine = objReader.ReadLine();

                    while (strLine != null)
                    {
                        objString.AppendFormat("{0}</br>", strLine);
                        strLine = objReader.ReadLine();
                    }

                    Literal objLiteral = new Literal();
                    objLiteral.Mode = LiteralMode.PassThrough;
                    objLiteral.Text = objString.ToString();
                    _plcTrafficLog.Controls.Add(objLiteral);
                }
            }
        }
    }
}