﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für die Masterseite.
    /// </summary>
    public partial class MainMaster : System.Web.UI.MasterPage
    {
        /// <summary>
        /// Liefert das Label-Steuerelement auf der linken Seite des Fussbereichs.
        /// </summary>
        public Label FooterLeft
        {
            get
            {
                return _lblFooterLeft;
            }
        }

        protected void Page_Init(object sender, EventArgs e)
        {
            _lblFooterLeft.ToolTip = "Masterseite der Demo Learning ASP.NET 05";
        }


        protected void Page_Load(object sender, EventArgs e)
        {
            if (_objFooterLabel != null)
            {
                _objFooterLabel.Text = DateTime.Now.ToLongTimeString();
            }
        }
    }
}