﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MainMaster.Master" AutoEventWireup="true"
    CodeBehind="PrintingSupport.aspx.cs" Inherits="WeroSoft.Samples.PrintingSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="_objHeader" runat="server">
    <link href="css/Printing.css" media="print" rel="stylesheet" type="text/css" />
    <link href="css/Screen.css" media="screen" rel="stylesheet" type="text/css" />
    <style type="text/css">
        @media screen, handheld {
            .Rahmentext
            {
                border-color:Red;
                border-style:solid;
                border-width:2px;
                padding:1em;
                background-color:rgba(255,0,0,0.1);
                position:relative;
                left:10%;
                width:80%;
            }
        }
        @media print 
        {
            .Rahmentext
            {
                border-color:Red;
                border-style:solid;
                border-width:3px;
                padding:0.5em;
                position:relative;
                left:10%;
                width:80%;
                page-break-inside:avoid;
            }
        }
        @page
        {
            margin: 7cm 5cm 7cm 5cm;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="_objContent" runat="server">
    <h1>
        CSS Unterstützung für das Drucken</h1>
    <p>
        Das Drucken unterstützt die Technik der CSS, indem CSS-Definitionen medienbezogen
        definiert werden können.</p>
        <p class="Rahmentext">
        Die Formatierungen bezeiehen sich immer auf das aktuelle Ausgabemedium. Die Auswahl und Einstellung des Ausgabemediums 
        ist dem Browser überlassen.
        </p>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="_objFooter" runat="server">
</asp:Content>
