﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WeroSoft.Samples.Models;

namespace WeroSoft.Samples.Controllers
{
    public class HtmlCreationController : Controller
    {
        /// <summary>
        /// Erstellt eine Seite mit den möglichen Generierung von HTML-Elementen.
        /// </summary>
        /// <returns></returns>
        public ActionResult Index()
        {
            return View(new CwlbDataDemo());
        }

        /// <summary>
        /// Liefert zu Demonstrationszwecken eine Zeichenfolge.
        /// </summary>
        /// <returns>Fixe Zeichenfolge: "Demo einer einfachen Aktion".</returns>
        public string TestString()
        {
            return "Demo einer einfachen Aktion";
        }
    }
}
