﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für die Datei CwlbDemoDataPager.xaml
    /// </summary>
    public partial class CwlbDemoDataPager : UserControl
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbDemoDataPager.
        /// </summary>
        public CwlbDemoDataPager()
        {
            // Generierte Initialisierung aufrufen
            InitializeComponent();

            // Demodaten generieren
            var cstrDemo = Enumerable.Range(1, 150).Select(objData => string.Format("{0}. Element", objData));

            // Erstellen einer seitenorientierten Auflistung und definieren
            // derselben als Quelle für die beiden Steuerelemente DataPager und ListBox
            PagedCollectionView itemListView = new PagedCollectionView(cstrDemo);
            _dbDemo.Source = itemListView;
            _lbDemo.ItemsSource = itemListView;
        }
    }
}
