﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für die Datei CwlbDemoDialog.xaml
    /// </summary>
    public partial class CwlbDemoDialog : ChildWindow
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbDemoDialog.
        /// </summary>
        public CwlbDemoDialog()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden des Dailogfeldes
        /// </summary>
        private void Dialog_Loaded(object sender, RoutedEventArgs e)
        {
            _tbName.Text = ((AssemblyProductAttribute)Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyProductAttribute), false)[0]).Product;
            _tbVersion.Text = new AssemblyName(Assembly.GetExecutingAssembly().FullName).Version.ToString();
        }

        /// <summary>
        /// Ereignisbehandlung beim Betätigen der Schaltfläche OK.
        /// </summary>
        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
        }

        /// <summary>
        /// Ereignisbehandlung beim Betätigen der Schaltfläche Abbrechen.
        /// </summary>
        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}

