﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void _btnMainWindow_Click(object sender, RoutedEventArgs e)
        {
            this.WindowStyle = System.Windows.WindowStyle.SingleBorderWindow;
            this.ShowInTaskbar = true;
        }

        private void _btnToolWindow_Click(object sender, RoutedEventArgs e)
        {
            this.WindowStyle = System.Windows.WindowStyle.ToolWindow;
            this.ShowInTaskbar = false;
        }

        private void _btnDialogWindow_Click(object sender, RoutedEventArgs e)
        {
            this.WindowStyle = System.Windows.WindowStyle.ThreeDBorderWindow;
            this.ShowInTaskbar = false;
        }

        private void _btnNonFrame_Click(object sender, RoutedEventArgs e)
        {
            this.WindowStyle = System.Windows.WindowStyle.None;
            this.ShowInTaskbar = false;
        }
    }
}
