using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Reprsentiert die Funktionalitt des Dialogs fr Auswahl einer Klasse
    /// </summary>
    public partial class CdlgClassChooser : Form
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CdlgClassChooser.
        /// </summary>
        public CdlgClassChooser()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung des Ereignis Laden des Fensters.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void CDlgClassChooser_Load(object sender, EventArgs e)
        {
            // Klassennamen hinzufgen
            _lvClass.Items.Add(new ListViewItem("Label", "Label.bmp"));
            _lvClass.Items.Add(new ListViewItem("LinkLabel", "LinkLabel.bmp"));
            _lvClass.Items.Add(new ListViewItem("Button", "Button.bmp"));
            _lvClass.Items.Add(new ListViewItem("CheckBox", "CheckBox.bmp"));
            _lvClass.Items.Add(new ListViewItem("CheckedListBox", "CheckedListBox.bmp"));
            _lvClass.Items.Add(new ListViewItem("ComboBox", "ComboBox.bmp"));
            _lvClass.Items.Add(new ListViewItem("DateTimePicker", "DateTimePicker.bmp"));
            _lvClass.Items.Add(new ListViewItem("DomainUpDown", "DomainUpDown.bmp"));
            _lvClass.Items.Add(new ListViewItem("GroupBox", "GroupBox.bmp"));
            _lvClass.Items.Add(new ListViewItem("HScrollBar", "HScrollBar.bmp"));
            _lvClass.Items.Add(new ListViewItem("ListBox", "ListBox.bmp"));
            _lvClass.Items.Add(new ListViewItem("ListView", "ListView.bmp"));
            _lvClass.Items.Add(new ListViewItem("MonthCalendar", "MonthCalendar.bmp"));
            _lvClass.Items.Add(new ListViewItem("NumericUpDown", "NumericUpDown.bmp"));
            _lvClass.Items.Add(new ListViewItem("Panel", "Panel.bmp"));
            _lvClass.Items.Add(new ListViewItem("ProgressBar", "ProgressBar.bmp"));
            _lvClass.Items.Add(new ListViewItem("PropertyGrid", "PropertyGrid.bmp"));
            _lvClass.Items.Add(new ListViewItem("RadioButton", "RadioButton.bmp"));
            _lvClass.Items.Add(new ListViewItem("RichTextBox", "RichTextBox.bmp"));
            _lvClass.Items.Add(new ListViewItem("SplitterPanel", "SplitterPanel.bmp"));
            _lvClass.Items.Add(new ListViewItem("TextBox", "TextBox.bmp"));
            _lvClass.Items.Add(new ListViewItem("TrackBar", "TrackBar.bmp"));
            _lvClass.Items.Add(new ListViewItem("TreeView", "TreeView.bmp"));
            _lvClass.Items.Add(new ListViewItem("VScrollBar", "VScrollBar.bmp"));
        }
    }
}