using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Reprsentiert die Funktionalitt fr den 
    /// </summary>
    public partial class CdlgControlsHierarchy : Form
    {
        /// <summary>
        /// Definiert das Basiselement fr die Ansicht der Hierarchie
        /// </summary>
        private Control _objBase;

        /// <summary>
        /// Instanziert eine neue Instanz der Klasse CdlgControlsHierarchy.
        /// </summary>
        /// <param name="objBase">Basiselement dessen Hierarchie eingezeigt werden soll.</param>
        public CdlgControlsHierarchy(Control objBase)
        {
            InitializeComponent();

            // Parameterbernahme
            _objBase = objBase;
        }

        /// <summary>
        /// Eriegnisbehandlung fr das Laden des Fensters.
        /// </summary>
        private void CDlgControlsHierarchy_Load(object sender, EventArgs e)
        {
            _ucHierarchy.BaseControl = _objBase;
        }
    }
}