﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert die Funktionalität des modalen Dialogfeldes.
    /// </summary>
    public partial class CdlgModalDemo : Form
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CdlgModalDemo.
        /// </summary>
        public CdlgModalDemo()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für das Laden des Fensters.
        /// </summary>
        private void CdlgDemo_Load(object sender, EventArgs e)
        {
            try
            {
                // Einlesen der Log Textdatei
                ListViewItem objItem;
                int iIndex;
                string[] astrData = File.ReadAllLines(Program.LogFileName);
                foreach (string strLine in astrData)
                {
                    iIndex = strLine.IndexOf(" - ");
                    objItem = new ListViewItem(strLine.Substring(0, iIndex));
                    objItem.SubItems.Add(strLine.Substring(iIndex + 3));
                    _lvView.Items.Add(objItem);
                }
            }
            catch
            {
                MessageBox.Show("Das Einlesen der Daten ist fehlgeschlagen.", "Learning Windows Forms");
            }
        }
    }
}
