﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Formulars für die Demos des CheckedListBox-Steuerelements.
    /// </summary>
    public partial class CpnlCheckedListBox : UserControl
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlCheckedListBox.
        /// </summary>
        public CpnlCheckedListBox()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden des Formulars.
        /// </summary>
        private void CwlbCheckedListBox_Load(object sender, EventArgs e)
        {
            // Loakle daten
            Random objRandom = new Random();
            DateTime dtCurrent = DateTime.Now.AddDays(-objRandom.Next(200));

            // Initialisieren der beiden Listen mit zufälligen Daten
            for (int iIndex = 0; iIndex < 100; iIndex++)
            {
                dtCurrent = dtCurrent.AddDays(objRandom.Next(10));
                _chklbNormal.Items.Add(dtCurrent);
                _chklbColumn.Items.Add(dtCurrent);
            }
        }
    }
}
