﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos der CheckBox-Steuerelemente.
    /// </summary>
    public partial class CpnlComboBox : UserControl
    {
        /// <summary>
        /// Initialisiert eine Instanz der Klasse CpnlComboBox.
        /// </summary>
        public CpnlComboBox()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für das Laden des Formulars.
        /// </summary>
        private void CpnlComboBox_Load(object sender, EventArgs e)
        {
            foreach (FontFamily objFontFamily in FontFamily.Families )
            {
                _cbSimple.Items.Add(objFontFamily.Name);
                _cbList.Items.Add(objFontFamily.Name);
                _cbCombo.Items.Add(objFontFamily.Name);
            }
        }
    }
}
