﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Implementiert die Funktionalität der Demo für das TextBox-Steuerelement.
    /// </summary>
    public partial class CpnlTextBox : UserControl
    {
        /// <summary>
        /// Initalisiert eine Instanz der Klasse CpnTextBox
        /// </summary>
        public CpnlTextBox()
        {
            InitializeComponent();

            // Initialisieren des Eingabefeldes mit der Möglichkeit für die automatische Vervollständigung
            AutoCompleteStringCollection cobjAutoComplete = new AutoCompleteStringCollection();
            foreach (string strColor in Enum.GetNames(typeof(KnownColor)))
            {
                cobjAutoComplete.Add(strColor);
            }
            _tbAutoComplete.AutoCompleteCustomSource = cobjAutoComplete;
        }
    }
}
