using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Geometrische Linienfigur
    /// </summary>
    public abstract class CwlbDualPointShape : CwlbSinglePointShape
    {
        // EndPunkt
        protected Point _ptP2;

        /// <summary>
        /// Liefert oder definiert den Endpunkt
        /// </summary>
        [DisplayName("Endpunkt")]
        [Category("Geometrie")]
        public Point P2
        {
            get
            {
                return _ptP2;
            }
            set
            {
                _ptP2 = value;
            }
        }
    }
}
