﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert Daten des Events.
    /// </summary>
    public class CwlbEventData
    {
        public string Time { get; private set; }

        public string SearchName { get; set; }

        public string Method { get; set; }

        public string Type { get; set; }

        public string Sender { get; set; }

        public string Source { get; set; }

        public string OriginalSource { get; set; }

        public string ToolTip { get; set; }

        public CwlbEventData()
        {
            Time = DateTime.Now.ToString("HH:mm:ss.fff");
        }

        public override string ToString()
        {
            return string.Format("{0} {1} {2} {3}", Time, Method, SearchName, Sender);
        }
    }
}
