﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionslogik für CpnlComboBox.xaml
    /// </summary>
    public partial class CpnlComboBox : UserControl
    {
        /// <summary>
        /// Liefert eine Auflistung der Bildelemente
        /// </summary>
        public ObservableCollection<CwlbImages> Images { get; private set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlComboBox.
        /// </summary>
        public CpnlComboBox()
        {
            // Anlegen der Auflistung
            Images = new ObservableCollection<CwlbImages>();
            // Generierte Initialisierung
            InitializeComponent();
            // Bilder hinzufügen
            Images.Add(new CwlbImages { ImageText = "Schnittstelle", ImageSource = "/Images/Interface.png" });
            Images.Add(new CwlbImages { ImageText = "Klasse", ImageSource = "/Images/Class.png" });
            Images.Add(new CwlbImages { ImageText = "Ereignis", ImageSource = "/Images/Event.png" });
            Images.Add(new CwlbImages { ImageText = "Eigenschaft", ImageSource = "/Images/Property.png" });
            Images.Add(new CwlbImages { ImageText = "Methode", ImageSource = "/Images/Method.png" });
        }
    }
}
