﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaction logic for CpnlDatePicker.xaml
    /// </summary>
    public partial class CpnlDatePicker : UserControl
    {
        public CpnlDatePicker()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden des DateTime-Steuerelements mit limitierter Auswahl.
        /// </summary>
        private void SetDateLimited(object sender, RoutedEventArgs e)
        {
            dpLimited.DisplayDate = DateTime.Now;
            dpLimited.DisplayDateStart = DateTime.Now - TimeSpan.FromDays(10);
            dpLimited.DisplayDateEnd = DateTime.Now + TimeSpan.FromDays(10);
        }

        /// <summary>
        /// Ereignisbeahndlung beim Laden des DateTime-Steuerelements mit Blackout Auswahl.
        /// </summary>
        private void SetDateBlackout(object sender, RoutedEventArgs e)
        {
            dpBlackout.BlackoutDates.Add(new CalendarDateRange(DateTime.Now + TimeSpan.FromDays(1)));
            dpBlackout.BlackoutDates.Add(new CalendarDateRange(DateTime.Now - TimeSpan.FromDays(3)));
            dpBlackout.BlackoutDates.Add(new CalendarDateRange(DateTime.Now + TimeSpan.FromDays(5)));
            dpBlackout.BlackoutDates.Add(new CalendarDateRange(DateTime.Now + TimeSpan.FromDays(7)));
            dpBlackout.BlackoutDates.Add(new CalendarDateRange(DateTime.Now + TimeSpan.FromDays(8)));
        }
    }
}
