﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert ein Farbelement für die Demos.
    /// </summary>
    public class CwlbColorItem
    {
        /// <summary>
        /// Liefert oder definiert den Namen der Farbe.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Liefert oder definiert den Brush der Farbe.
        /// </summary>
        public Brush Brush { get; set; }

        /// <summary>
        /// Gets the color value from the brush.
        /// </summary>
        public string Value
        {
            get
            {
                return Brush.ToString();
            }
        }
    }
}
