﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert ein Ereignisargument für das XAML-Pad.
    /// </summary>
    public class CwlbCompiledEventArgs : EventArgs
    {
        /// <summary>
        /// Liefert das Stammelement des compilierten Codes.
        /// </summary>
        public Visual Root { get; private set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbCompiledEventArgs.
        /// </summary>
        /// <param name="objRoot">Stammelement, des erstellten Baumes.</param>
        public CwlbCompiledEventArgs(Visual objRoot)
        {
            Root = objRoot;
        }
    }
}
