﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;

namespace WeroSoft.Samples
{
    public static class CwlbWindowHelper
    {
        public static void BindProperty(this DependencyObject objTarget, DependencyProperty objTargetProperty, object objSource, string strPath, BindingMode enmMode = BindingMode.OneWay)
        {
            Binding objBinding = new Binding(strPath);
            objBinding.Mode = enmMode;
            objBinding.Source = objSource;
            BindingOperations.SetBinding(objTarget, objTargetProperty, objBinding);
        }
    }
}
