﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Schnittstelle für dynamische XAML interpretation.
    /// </summary>
    public interface IwlbDynamicXaml
    {
        /// <summary>
        /// Wird ausgelöst, wenn der XAML-Code compiliert wurde
        /// </summary>
        event EventHandler<CwlbCompiledEventArgs> Compiled;

        /// <summary>
        /// Lädt die angegebene Datei in den Editor.
        /// </summary>
        void LoadFile(string strFileName);

        /// <summary>
        /// Definiert den Focus auf das Steuerelement.
        /// </summary>
        void Focus();
    }
}
