﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Windows.Data;

namespace WeroSoft.Samples
{
    [TestClass]
    public class CwlbMainViewModelTest
    {
        [TestMethod]
        public void CreateMainViewModelTest()
        {
            // Erstellen der Hauptansicht
            CwlbMainViewModel vmMain = new CwlbMainViewModel();
            //Abfragen des ersten Befehls in der Hauptansicht
            // Beachte, dass hier First() verwendet wird --> Ausnahme wenn kein Inhalt.
            CwlbCommandViewModel vmCommand = vmMain.Commands.First(vmSearch => vmSearch.ViewName == Properties.MVVMDemo.CmdDisplayViewNameAllContacts);;
            // Prüfe ob das Commando korrekt erstellt ist
            Assert.IsNotNull(vmCommand.Command, "Der Befehel im View Objekt darf nicht null sein.");
            // Laden des Models
            vmCommand.Command.Execute(null);
            // Das erste Model prüfen
            var cobjView = CollectionViewSource.GetDefaultView(vmMain.Views);
            Assert.IsTrue(cobjView.CurrentItem is CwlbContactListViewModel, "Der aktuelle Modelltyp ist ungültig.");
        }
    }
}
