﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DemoJavaScript.aspx.cs" Inherits="WeroSoft.Samples.JavaScript" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>JavaScript Demo</title>
    <script src="Scripts/DemoScripts.js" type="text/javascript"></script>
    <script type="text/javascript">
        // Funktion zur Abfrage von Browserinformationen
        function Func_BrowserInfo() {

            // Erstellen des Titels dieser Demo
            WriteHeader("Browserinformationen abfragen");

            // Ausgaben
            document.write("<dl>");
            document.write("<dt>Browser-Codename:</dt>");
            document.write("<dd>" + navigator.appCodeName + "</dd>");
            document.write("<dt>Browsername:</dt>");
            document.write("<dd>" + navigator.appName + "</dd>");
            document.write("<dt>Browserversion:</dt>");
            document.write("<dd>" + navigator.appVersion + "</dd>");
            document.write("<dt>Plattformangaben:</dt>");
            document.write("<dd>" + navigator.platform + "</dd>");
            document.write("<dt>Cookies aktiviert:</dt>");
            document.write("<dd>" + navigator.cookieEnabled + "</dd>");
            document.write("<dt>Benutzeragent-Header:</dt>");
            document.write("<dd>" + navigator.userAgent + "</dd>");
            document.write("</dl>");
        }
    </script>
</head>
<body>
    <form id="_frmJavaScript" runat="server">
    <div>
        <asp:Label ID="_lblInput" runat="server" Text="Eingabe"></asp:Label>
        <asp:TextBox ID="_tbInput" runat="server" TextMode="MultiLine" Height="100" Width="200" onkeyup="return CheckLengthTextArea( this.id, 150, '_tbMultiLineLength')"></asp:TextBox>
        <input id="_tbMultiLineLength" disabled="disabled" type="text" style="width:80px; border-width:0px"/>
        <br />
        <asp:Button ID="_btnStart" runat="server" Text="Los gehts!" OnClick="StartButton_Click"/>
        <hr />
        <asp:Label ID="_lblOutput" runat="server" Text=""></asp:Label>
    </div>
    </form>
    <hr />
    <script type="text/javascript">

        // Dieser Code wird im Rahmen der Seite immer ausgeführt
        // Aufruf der Funktion für die Demonstration von if
        var aiValue = new Array();
        aiValue[0] = 1;
        aiValue[1] = 2;
        Func_if(aiValue);

        // Aufruf der Funktion für die Demonstration einer while-Anweisung
        Func_while();

        // Arbeiten mit Datum / Zeit
        Func_DateTime();

        // Aufruf einer Methode für die Abfrage von Browserinformationen
        Func_BrowserInfo();

        // Funktion für die Demonstration einer if-Anweisung
        function Func_if(aiParam) {

            // Erstellen des Titels dieser Demo
            WriteHeader("if-Verzweigung");

            // Evaluieren, ob die Werte im Array gerade oder ungerade sind
            for (var iIndex in aiParam) {
                var bEven = aiParam[iIndex] % 2;
                if (bEven == 0) {
                    document.writeln("Der Wert " + aiParam[iIndex] + " ist gerade");
                    document.writeln("<br/>");
                }
                else {
                    document.writeln("Der Wert " + aiParam[iIndex] + " ist ungerade");
                    document.writeln("<br/>");
                }
            }

        }

        // Funktion für die Demonstration einer while-Anweisung
        function Func_while() {

            // Erstellen des Titels dieser Demo
            WriteHeader("while-Schleife");

            var numX = 0;
            while (numX < 3.141) {
                document.write("sin von " + numX.toFixed(2) + " ist " + Math.sin(numX).toFixed(6));
                document.write("<br />");
                numX += 0.2;
            }
        }
    </script>
</body>
</html>
