﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    public partial class CwlbServersideLink : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Ereignisbehandlung der Betätigung der Schaltfläche _btnClientSideRedirection301.
        /// </summary>
        protected void ClientSideRedirection301_Click(object sender, EventArgs e)
        {
            Response.RedirectPermanent("~/AspObjects/clientsideLink.aspx");
        }

        /// <summary>
        /// Ereignisbehandlung der Betätigung der Schaltfläche _btnClientSideRedirection302.
        /// </summary>
        protected void ClientSideRedirection302_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/AspObjects/clientsideLink.aspx");
        }

        /// <summary>
        /// Ereignisbehandlung der Betätigung der Schaltfläche _btnServerSideRedirection.
        /// </summary>
        protected void ServerSideRedirection_Click(object sender, EventArgs e)
        {
            Server.Transfer("~/AspObjects/clientsideLink.aspx");
        }
    }
}