﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    public partial class Demo : System.Web.UI.MasterPage
    {
        string _strKeepOpenPath;

        protected void Page_Load(object sender, EventArgs e)
        {
            Page.ClientScript.RegisterClientScriptInclude("somescript", ResolveUrl("Scripts/DemoScripts.js"));
        }

        public void SetDemoTitle(string strDemoTitle)
        {
            _lblTitle.Text = string.Format("Aktuelle Demo: {0}", strDemoTitle);
        }

        public void KeepNodeOpen(string strValuePath)
        {
            _strKeepOpenPath = strValuePath;
        }

        protected void _tvMain_DataBound(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(_strKeepOpenPath))
            {
                return;
            }
            else
            {
                TreeNode objNode = _tvMain.FindNode(_strKeepOpenPath);
                if (objNode != null)
                {
                    objNode.Expand();
                }
            }
        }
    }
}