﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für HTML-Textfeld, HTML-Kennwort-Steuerelement und mehrzeiliges HTML-Textfeld.
    /// </summary>
    public partial class HtmlText : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Definiert den Titel und den offenen Menüeintrag
                ((Demo)Master).SetDemoTitle("Html - Text / Kennwort / Textarea");
                ((Demo)Master).KeepNodeOpen("Html/Simple");

                // Initialisieren der Einträge
                _dlMaxLength.Items.Add("5");
                _dlMaxLength.Items.Add("10");
                _dlMaxLength.Items.Add("15");
                _dlMaxLength.Items.Add("20");
                _dlMaxLength.Items.Add("25");
                _dlMaxLength.Items.Add("30");
                _dlMaxLength.Items.Add("35");
                _dlMaxLength.Items.Add("40");
                _dlMaxLength.Items.Add("45");
                _dlMaxLength.Items.Add("50");

                // Defineiren des selektierten Eintrags
                _dlMaxLength.SelectedIndex = 3;
            }

            // Größe der Textbox definieren
            _tbNormal.MaxLength = Convert.ToInt32(_dlMaxLength.SelectedItem.Text); 
        }
    }
}