﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true"
         CodeBehind="JQueryAccordion.aspx.cs" Inherits="WeroSoft.Samples.JQueryAccordion" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
    <link href="../css/jquery-ui-1.8.9.custom.css" rel="stylesheet" />
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <script type="text/javascript">
        $(document).ready(function () {
            $('#accordion').accordion({
                header: "h3",
                animated: "bounceslide",
                autoHeight: false
            });
        });
    </script>

    <div id="accordion">
        <h3><a href="#">Titel Eintrag 1</a></h3>
        <div>
            <p>Das ist ein sehr kurzer Eintrag.</p>
        </div>
        <h3><a href="#">Titel Eintrag 2 (langer Text)</a></h3>
        <div>
            <p>Das ist ein sehr langer Eintrag, der dazu dient den Zeilenumbruch des Elements zu prüfen. 
            Dieser Eintragstext hat nicht wirklich einen Sinn, denn er soll sich einfach durch Länge
            manifestieren.</p>
            <p>Der Text soll auch zeigen, dass mehrere Abschnitte hier auch vorhanden sein können. Wenn 
            Sie den Eintrag Nummer 3 öffnen, sehen Sie, dass auch Bilder in ein solches Konstrukt 
            integriert werden können.</p>
        </div>
        <h3><a href="#">Titel Eintrag 3 (mit Bild)</a></h3>
        <div>
            <p>Die untenstehende Abbildung zeigt ein Musterexemplar einer Grille.</p>
            <img src="../images/Grille.JPG" alt="Musterexemplar einer Grille" height="300" width="450" />
        </div>
        <h3><a href="#">Titel Eintrag 2 (extrem langer Text)</a></h3>
        <div>
            <p>Das ist ein extrem umfangreicher Eintrag, der dazu dient den Zeilenumbruch des Elements zu 
            prüfen, und das Verhalten in Bezug auf vertikale Anordnung zu prüfen. Sie sollten das 
            Browserfenster bei Versuchen für die Anordnung jeweils auch in die extremen Grössen (sehr 
            breit und wenig hoch und umgekehrt) einstellen. Es spielt ja keine Rolle, wenn Sie bei diesen 
            versuchen mit der Darstellung Schiffbruch erleiden. Im Gegenteil das ist eigentlich 
            gleichzeitig ein Test, der die korrekte Handhabung aufzeigt.</p>
            <p>Der Bildlauf in einem Element innerhalb einer HTML-Seite ist nicht überall willkommen. Sprechen
            Sie sich da mit dem Kunden ab und diskutieren Sie alternative Darstellungen, die in der Regel 
            eine Aufteilung über mehrere Seiten mit sich bringen, oder alternativ einen Bildlauf der ganzen 
            Seite bedingen.</p>
            <p>Beachten Sie, dass die optische Wirkung der Steuerelemente in den Beispielen für JQuery 
            vom verwendeten Stylesheet von JQuery abhängt. Sie können auf der Webseite von 
            <a href="http://jqueryui.com/" target="_blank">jQuery</a> in der Themengallerie die verschiedenen 
            Möglichkeiten anschauen.</p>
        </div>
    </div>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <p class="Instructions">
        Diese Demo hat keine Eigenschaften.
    </p>
</asp:Content>
