﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebGridView.aspx.cs" Inherits="WeroSoft.Samples.WebGridView" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
    <style type="text/css">
        .RightAlign
        {
            text-align:right;
        }
        .EntryText
        {
            width:100px;
        }
        .EntryTextHeader
        {
            text-align:left;
        }
    </style>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <p class="Instructions">
    Das DetailsView-Steuerelement erreichen Sie über den Verweis <i>Neu</i>, unterhalb des GridView-Steuerelements.
    </p>
    <asp:GridView ID="_gvDemo" runat="server" AutoGenerateColumns="False" CellPadding="4"
        DataKeyNames="A10CH_ID" DataSourceID="_dsGridViewDemo"
        OnRowCreated="_gvDemo_RowCreated" OnRowDataBound="_gvDemo_RowDataBound" AllowPaging="True"
        AllowSorting="True" Font-Names="Verdana" Font-Size="Smaller" 
        EmptyDataText="Keine Daten in der Datenbank!" BackColor="White" BorderColor="#3366CC" 
        BorderStyle="None" BorderWidth="1px" onrowediting="_gvDemo_RowEditing" 
        PageSize="5">
        <Columns>
            <asp:BoundField DataField="A10CH_ID" HeaderText="A10CH_ID" ReadOnly="True" SortExpression="A10CH_ID"
                Visible="False" />
            <asp:BoundField DataField="A10CH_TEXT" HeaderText="Text" SortExpression="A10CH_TEXT" ItemStyle-CssClass="EntryText" HeaderStyle-CssClass="EntryTextHeader" />
            <asp:TemplateField HeaderText="Ganze Zahl" SortExpression="A10IN_INTEGER" ItemStyle-HorizontalAlign="Right">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox1" runat="server"  Width="80px"
                                 Text='<%# Bind("A10IN_INTEGER") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label3" runat="server" Width="80px"
                               Text='<%# Bind("A10IN_INTEGER") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Gebrochene Zahl" SortExpression="A10DC_DECIMAL" ItemStyle-HorizontalAlign="Right">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox2" runat="server" Width="100px"
                                 Text='<%# Bind("A10DC_DECIMAL", "{0:N4}") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label4" runat="server" Width="100px"
                               Text='<%# Bind("A10DC_DECIMAL", "{0:N4}") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Produkt" ItemStyle-HorizontalAlign="Right">
                <ItemTemplate>
                    <asp:Label ID="_lblProduct" runat="server" Text="<%# CalcProduct() %>"></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Datum" SortExpression="A10DT_DATE">
                <EditItemTemplate>
                    <asp:TextBox ID="_tbDate" runat="server" Width="60px"
                                 Text='<%# Bind("A10DT_DATE", "{0:d}") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("A10DT_DATE", "{0:d}") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Memo Feld" SortExpression="A10CH_MEMO" ItemStyle-CssClass="EntryText" HeaderStyle-CssClass="EntryTextHeader">
                <EditItemTemplate>
                    <asp:TextBox ID="_tbMemo" runat="server" Text='<%# Bind("A10CH_MEMO") %>' Height="153px"
                        TextMode="MultiLine" Width="280px"></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label2" runat="server" Text='<%# Bind("A10CH_MEMO") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CheckBoxField DataField="A10BL_BOOL" HeaderText="Ja/Nein" />
            <asp:CommandField ButtonType="Image" CancelImageUrl="~/images/Cancel.jpg" DeleteImageUrl="~/images/Delete.jpg"
                EditImageUrl="~/images/Edit.jpg" EditText="" ShowDeleteButton="True" ShowEditButton="True"
                UpdateImageUrl="~/images/OK.jpg" />
        </Columns>
        <EditRowStyle BorderColor="#FFC0C0" BorderStyle="Solid" BorderWidth="3px" />
        <EmptyDataRowStyle BackColor="Red" ForeColor="WhiteSmoke" />
        <FooterStyle BackColor="#99CCCC" ForeColor="#003399" />
        <HeaderStyle BackColor="#003399" Font-Bold="True" ForeColor="#CCCCFF" />
        <PagerStyle BackColor="#99CCCC" ForeColor="#003399" HorizontalAlign="Left" />
        <RowStyle BackColor="White" ForeColor="#003399" />
        <SelectedRowStyle BackColor="#009999" Font-Bold="True" ForeColor="#CCFF99" />
        <SortedAscendingCellStyle BackColor="#EDF6F6" />
        <SortedAscendingHeaderStyle BackColor="#0D4AC4" />
        <SortedDescendingCellStyle BackColor="#D6DFDF" />
        <SortedDescendingHeaderStyle BackColor="#002876" />
    </asp:GridView>
    <asp:AccessDataSource ID="_dsGridViewDemo" runat="server" DataFile="~/App_Data/SimpleDatabase.mdb"
        DeleteCommand="DELETE FROM [DemoTable] WHERE [A10CH_ID] = ?" 
        InsertCommand="INSERT INTO [DemoTable] ([A10CH_ID], [A10CH_TEXT], [A10IN_INTEGER], [A10DC_DECIMAL], [A10DT_DATE], [A10CH_MEMO], [A10BL_BOOL]) VALUES (?, ?, ?, ?, ?, ?, ?)"
        SelectCommand="SELECT * FROM [DemoTable]" 
        UpdateCommand="UPDATE [DemoTable] SET [A10CH_TEXT] = ?, [A10IN_INTEGER] = ?, [A10DC_DECIMAL] = ?, [A10DT_DATE] = ?, [A10CH_MEMO] = ?, [A10BL_BOOL] = ? WHERE [A10CH_ID] = ?">
        <DeleteParameters>
            <asp:Parameter Name="A10CH_ID" Type="String" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="A10CH_TEXT" Type="String" />
            <asp:Parameter Name="A10IN_INTEGER" Type="Int16" />
            <asp:Parameter Name="A10DC_DECIMAL" Type="Double" />
            <asp:Parameter Name="A10DT_DATE" Type="DateTime" />
            <asp:Parameter Name="A10CH_MEMO" Type="String" />
            <asp:Parameter Name="A10BL_BOOL" Type="Boolean" />
            <asp:Parameter Name="A10CH_ID" Type="String" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="A10CH_ID" Type="String" />
            <asp:Parameter Name="A10CH_TEXT" Type="String" />
            <asp:Parameter Name="A10IN_INTEGER" Type="Int16" />
            <asp:Parameter Name="A10DC_DECIMAL" Type="Double" />
            <asp:Parameter Name="A10DT_DATE" Type="DateTime" />
            <asp:Parameter Name="A10CH_MEMO" Type="String" />
            <asp:Parameter Name="A10BL_BOOL" Type="Boolean" />
        </InsertParameters>
    </asp:AccessDataSource>
    <br />
    <asp:HyperLink ID="_hlnkNew" runat="server" NavigateUrl="~/WebPolynominal/WebGridViewNew.aspx">Neu</asp:HyperLink>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <p class="Instructions" runat="server" id="_pPropSwitchedOff" visible="false">
    Durch das Editieren sind die Eigenschaften nicht mehr verfügbar.
    </p>
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_gvDemo" runat="server"/>
</asp:Content>
