﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebGridViewNew.aspx.cs" Inherits="WeroSoft.Samples.WebGridViewNew" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:Label ID="_lblError" runat="server" Text=""></asp:Label>
    <asp:DetailsView ID="_dvDemo" runat="server" AutoGenerateRows="False"
        DataKeyNames="A10CH_ID" DataSourceID="_dsGridViewDemo" 
        DefaultMode="Insert" Font-Names="Verdana"
        Font-Size="Small" Height="50px" OnItemInserting="_dvDemo_ItemInserting"
        Width="383px" OnItemInserted="_dvDemo_ItemInserted" CellPadding="4" 
        ForeColor="#333333" GridLines="None">
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        <CommandRowStyle BackColor="#E2DED6" Font-Bold="True" />
        <EditRowStyle BackColor="#999999" />
        <FieldHeaderStyle BackColor="#E9ECF1" Font-Bold="True" />
        <Fields>
            <asp:BoundField DataField="A10CH_ID" HeaderText="A10CH_ID" ReadOnly="True" SortExpression="A10CH_ID"
                Visible="False" />
            <asp:BoundField DataField="A10CH_TEXT" HeaderText="Text" SortExpression="A10CH_TEXT" />
            <asp:BoundField DataField="A10IN_INTEGER" HeaderText="Ganze Zahl" SortExpression="A10IN_INTEGER" />
            <asp:BoundField DataField="A10DC_DECIMAL" HeaderText="Dezimalzahl" SortExpression="A10DC_DECIMAL" />
            <asp:TemplateField HeaderText="Datum" SortExpression="A10DT_DATE">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("A10DT_DATE", "{0:d}") %>'></asp:TextBox>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("A10DT_DATE") %>'></asp:TextBox>
                </InsertItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("A10DT_DATE") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Memo" SortExpression="A10CH_MEMO">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("A10CH_MEMO") %>'></asp:TextBox>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:TextBox ID="TextBox2" runat="server" Height="144px" Text='<%# Bind("A10CH_MEMO") %>'
                        TextMode="MultiLine" Width="294px"></asp:TextBox>
                </InsertItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label2" runat="server" Text='<%# Bind("A10CH_MEMO") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CheckBoxField DataField="A10BL_BOOL" HeaderText="Ja / Nein" SortExpression="A10BL_BOOL" />
            <asp:CommandField ShowInsertButton="True" />
        </Fields>
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
    </asp:DetailsView>
    <asp:AccessDataSource ID="_dsGridViewDemo" runat="server" DataFile="~/App_Data/SimpleDatabase.mdb"
        DeleteCommand="DELETE FROM [DemoTable] WHERE [A10CH_ID] = ?" InsertCommand="INSERT INTO [DemoTable] ([A10CH_ID], [A10CH_TEXT], [A10IN_INTEGER], [A10DC_DECIMAL], [A10DT_DATE], [A10CH_MEMO], [A10BL_BOOL]) VALUES (?, ?, ?, ?, ?, ?, ?)"
        SelectCommand="SELECT * FROM [DemoTable]" UpdateCommand="UPDATE [DemoTable] SET [A10CH_TEXT] = ?, [A10IN_INTEGER] = ?, [A10DC_DECIMAL] = ?, [A10DT_DATE] = ?, [A10CH_MEMO] = ?, [A10BL_BOOL] = ? WHERE [A10CH_ID] = ?">
        <DeleteParameters>
            <asp:Parameter Name="A10CH_ID" Type="String" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="A10CH_TEXT" Type="String" />
            <asp:Parameter Name="A10IN_INTEGER" Type="Int16" />
            <asp:Parameter Name="A10DC_DECIMAL" Type="Double" />
            <asp:Parameter Name="A10DT_DATE" Type="DateTime" />
            <asp:Parameter Name="A10CH_MEMO" Type="String" />
            <asp:Parameter Name="A10BL_BOOL" Type="Boolean" />
            <asp:Parameter Name="A10CH_ID" Type="String" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="A10CH_ID" Type="String" />
            <asp:Parameter Name="A10CH_TEXT" Type="String" />
            <asp:Parameter Name="A10IN_INTEGER" Type="Int16" />
            <asp:Parameter Name="A10DC_DECIMAL" Type="Double" />
            <asp:Parameter Name="A10DT_DATE" Type="DateTime" />
            <asp:Parameter Name="A10CH_MEMO" Type="String" />
            <asp:Parameter Name="A10BL_BOOL" Type="Boolean" />
        </InsertParameters>
    </asp:AccessDataSource>
    <br />
    <asp:HyperLink ID="_hlnkBack" runat="server" NavigateUrl="~/WebPolynominal/WebGridView.aspx">Zurück</asp:HyperLink>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_dvDemo" runat="server"/>
</asp:Content>
