﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebListView.aspx.cs" Inherits="WeroSoft.Samples.WebListView" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:ListView ID="_lvDemo" runat="server" DataSourceID="ObjectDataSource">
        <ItemTemplate>
            <tr style="background-color: #E0FFFF;color: #333333;">
                <td >
                    <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("Name") %>' />
                </td>
                <td>
                    <asp:Label ID="FirstNameLabel" runat="server" Text='<%# Eval("FirstName") %>' />
                </td>
                <td>
                    <asp:Label ID="BirthdateLabel" runat="server" Text='<%# Eval("Birthdate", "{0:d}") %>' />
                </td>
                <td>
                    <asp:CheckBox ID="MaleCheckBox" runat="server" Checked='<%# Eval("Male") %>' 
                        Enabled="false" />
                </td>
                <td>
                    <asp:Label ID="SizeLabel" runat="server" Text='<%# Eval("Size") %>' />
                </td>
                <td>
                    <asp:Label ID="HobbyLabel" runat="server" Text='<%# Eval("Hobby") %>' />
                </td>
            </tr>
        </ItemTemplate>
        <AlternatingItemTemplate>
            <tr style="background-color: #FFFFFF;color: #284775;">
                <td>
                    <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("Name") %>' />
                </td>
                <td>
                    <asp:Label ID="FirstNameLabel" runat="server" Text='<%# Eval("FirstName") %>' />
                </td>
                <td>
                    <asp:Label ID="BirthdateLabel" runat="server" Text='<%# Eval("Birthdate", "{0:d}") %>' />
                </td>
                <td>
                    <asp:CheckBox ID="MaleCheckBox" runat="server" Checked='<%# Eval("Male") %>' 
                        Enabled="false" />
                </td>
                <td>
                    <asp:Label ID="SizeLabel" runat="server" Text='<%# Eval("Size") %>' />
                </td>
                <td>
                    <asp:Label ID="HobbyLabel" runat="server" Text='<%# Eval("Hobby") %>' />
                </td>
            </tr>
        </AlternatingItemTemplate>
        <LayoutTemplate>
            <table runat="server">
                <tr runat="server">
                    <td runat="server">
                        <table ID="itemPlaceholderContainer" runat="server" border="1" 
                            style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                            <tr runat="server" style="background-color: #E0FFFF;color: #333333;">
                                <th runat="server" style="text-align:left">
                                    Name</th>
                                <th runat="server">
                                    Vorname</th>
                                <th runat="server">
                                    Geburtstag</th>
                                <th runat="server">
                                    Männlich</th>
                                <th runat="server">
                                    Größe</th>
                                <th runat="server" style="text-align:left">
                                    Hobby</th>
                            </tr>
                            <tr ID="itemPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr runat="server">
                    <td runat="server" 
                        style="text-align: center;background-color: #5D7B9D;font-family: Verdana, Arial, Helvetica, sans-serif;color: #FFFFFF">
                        <asp:DataPager ID="_pagerListView" PagedControlID="_lvDemo" runat="server" PageSize="5">
                            <Fields>
                                <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                                    ShowNextPageButton="False" ShowPreviousPageButton="False" />
                                <asp:NumericPagerField />
                                <asp:NextPreviousPagerField ButtonType="Button" ShowLastPageButton="True" 
                                    ShowNextPageButton="False" ShowPreviousPageButton="False" />
                            </Fields>
                        </asp:DataPager>
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
    </asp:ListView>
    <asp:ObjectDataSource ID="ObjectDataSource" runat="server" 
        DataObjectTypeName="WeroSoft.Samples.CwlbDemoData"
        TypeName="WeroSoft.Samples.CwlbDemoDataProvider"
        SelectMethod="Select">
    </asp:ObjectDataSource>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_lvDemo" runat="server"/>
</asp:Content>
