﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true"
    CodeBehind="WebMultiView.aspx.cs" Inherits="WeroSoft.Samples.WebMultiView" %>

<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>
<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
    <style type="text/css">
        .View
        {
            background-color: #CCCCCC;
            height: 20em;
            width: 75%;
            border-width: thin;
        }
        .Row1
        {
            height:1.5em;
        }
        .RowN
        {
            height:6em;
        }
        .RowStretch
        {
            height:80%
        }
        .ColumnView
        {
            width:40%;
        }
        .Address
        {
            height:6em;
        }
        .TabButton
        {
            width:10em;
            height:2.0em;
            background:#FFFFEE;
            color:Blue;
        }
    </style>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:Button ID="_btnPage1" runat="server" Text="Person" OnClick="_btnPage1_Click" CssClass="TabButton" />
    <asp:Button ID="_btnPage2" runat="server" Text="Gruppierung" OnClick="_btnPage2_Click" CssClass="TabButton" />
    <asp:Button ID="_btnPage3" runat="server" Text="Kontakt" OnClick="_btnPage3_Click" CssClass="TabButton" />
    &nbsp;
    <br />
    <asp:MultiView ID="_mvDemo" runat="server">
        <asp:View ID="_vPage1" runat="server">
            <div class="View">
                <table>
                    <tr class="Row1">
                        <td class="ColumnView" colspan="2">
                            <h3>Angaben zur Person</h3>
                        </td>
                    </tr>
                    <tr class="Row1">
                        <td class="ColumnView">
                            Name:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbName" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr class="Row1">
                        <td class="ColumnView">
                            Vorname:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbFirstName" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr class="Row1">
                        <td class="ColumnView">
                            Geburtsdatum:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbBirthDate" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr class="Row1">
                        <td class="ColumnView">
                            Geschlecht:&nbsp;
                        </td>
                        <td>
                            <asp:RadioButton ID="_rbFemale" runat="server" Text="weiblich" />
                            <asp:RadioButton ID="_rbMale" runat="server" Text="männlich" />
                        </td>
                    </tr>
                    <tr class="RowN">
                        <td class="ColumnView">
                            Adresse:&nbsp;
                        </td>
                        <td>
                            <asp:TextBox ID="_tbAddress" TextMode="MultiLine" runat="server" CssClass="Address"/>
                        </td>
                    </tr>
                </table>
            </div>
        </asp:View>
        <asp:View ID="_vPage2" runat="server">
            <div class="View">
                <table>
                    <tr class="Row1">
                        <td class="ColumnView" colspan="2">
                            <h3>Personengruppen</h3>
                        </td>
                    </tr>
                    <tr  class="RowN">
                        <td class="ColumnView">
                            Gruppen:&nbsp;
                        </td>
                        <td style="height: 72px">
                            <asp:ListBox ID="_lbGroups" runat="server" SelectionMode="Multiple">
                                <asp:ListItem>Kunden</asp:ListItem>
                                <asp:ListItem>Lieferanten</asp:ListItem>
                                <asp:ListItem>Mitarbeiter</asp:ListItem>
                                <asp:ListItem>Veranstalter</asp:ListItem>
                                <asp:ListItem>Referenten</asp:ListItem>
                                <asp:ListItem>&#214;ffentliche &#196;mter</asp:ListItem>
                                <asp:ListItem>Marketing</asp:ListItem>
                                <asp:ListItem>Nicht Zuordenbar</asp:ListItem>
                            </asp:ListBox>
                        </td>
                    </tr>
                </table>
            </div>
        </asp:View>
        <asp:View ID="_vPage3" runat="server">
            <div class="View">
            <table class="View">
                <tr class="Row1">
                    <td colspan="2" class="ColumnView">
                        <h3>Kontaktinformationen</h3>
                    </td>
                </tr>
                <tr class="Row1">
                    <td class="ColumnView">
                        Datum:&nbsp;
                    </td>
                    <td>
                        <asp:TextBox ID="_tbContactDate" runat="server"></asp:TextBox>
                    </td>
                </tr>
                <tr class="Row1">
                    <td class="ColumnView">
                        Information:&nbsp;
                    </td>
                    <td>
                        <asp:TextBox ID="_tbContactInfo" runat="server"></asp:TextBox>
                    </td>
                </tr>
                <tr class="RowN">
                    <td class="ColumnView">
                        Kontakte:&nbsp;
                    </td>
                    <td>
                        <asp:ListBox ID="_lbContact" runat="server"></asp:ListBox>
                    </td>
                </tr>
            </table>
            </div>
            <br />
            <asp:Button ID="_btnAddContact" runat="server" Text="Hinzufügen" OnClick="_btnAddContact_Click" />
            <asp:Button ID="_btnDelContact" runat="server" Text="Löschen" OnClick="_btnDelContact_Click" /></asp:View>
    </asp:MultiView>
    <br />
    <asp:Button ID="_btnSavePerson" runat="server" Text="Speichern" OnClick="_btnSavePerson_Click" /><br />
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <p class="Instructions">
        Diese Demo hat keine Eigenschaften.
    </p>
</asp:Content>
