﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebRepeater.aspx.cs" Inherits="WeroSoft.Samples.WebRepeater" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <asp:Repeater ID="_rpDemo" runat="server" DataSourceID="XmlDataSource">
        <HeaderTemplate>
            <h3>
                Personenliste</h3>
        </HeaderTemplate>
        <ItemTemplate>
            <b>Name:</b>&nbsp;<%#XPath("Name")%><br />
            <b>Vorname:</b>&nbsp;<%#XPath("FirstName")%><br />
            <b>Ort:</b>&nbsp;<%#XPath("City")%><br />
            <b>Land:</b>&nbsp;<%#XPath("Country")%><br />
        </ItemTemplate>
        <SeparatorTemplate>
            <hr />
        </SeparatorTemplate>
        <FooterTemplate>
            <p>
                Aufbereitet mit einem Repeater-Steuerelement</p>
        </FooterTemplate>
    </asp:Repeater>
    <asp:XmlDataSource ID="XmlDataSource" runat="server" 
        DataFile="~/App_Data/DataListDemo.xml" XPath="//DemoData/Person">
    </asp:XmlDataSource>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_rpDemo" runat="server"/>
</asp:Content>
