﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo des LinkButton-Steuerelements.
    /// </summary>
    public partial class WebLinkButton : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - LinkButton");
            ((Demo)Master).KeepNodeOpen("Web/Simple");
        }

        /// <summary>
        /// Ereignisbehandlung nach dem Auslösen des LinkButton.
        /// </summary>
        protected void LinkButton_Click(object sender, EventArgs e)
        {
            _blResult.Items.Clear();
            _blResult.Items.Add(string.Format("CommandName: {0}", _btnLink.CommandName));
            _blResult.Items.Add(string.Format("CommandArgument: {0}", _btnLink.CommandArgument));
        }
    }
}