﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das ListBox-Websteuerelement.
    /// </summary>
    public partial class WebListBox : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - ListBox");
            ((Demo)Master).KeepNodeOpen("Web/Simple");
        }

        /// <summary>
        /// Ereignisbehandlung bei Veränderung der Auswahl.
        /// </summary>
        protected void ListBoxDemo_SelectedIndexChanged(object sender, EventArgs e)
        {
            // Ausgabe zurücksetzen
            _blSelection.Items.Clear();

            // Auswahl reflektieren
            foreach (int iIndex in _lbDemo.GetSelectedIndices())
            {
                _blSelection.Items.Add(string.Format("{0}. Element: {1}", iIndex, _lbDemo.Items[iIndex].Text));
            }
        }
    }
}