﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples.WebSimple
{
    /// <summary>
    /// Demo des RadioButton-Steuerelements.
    /// </summary>
    public partial class WebRadioButton : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - RadioButton");
            ((Demo)Master).KeepNodeOpen("Web/Simple");
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren des RadioButton-Steuerelements Rot in der Auswahl 1.
        /// </summary>
        protected void RadioButtonRedSelection1_CheckedChanged(object sender, EventArgs e)
        {
            _pnlSelection1.BackColor = System.Drawing.Color.Red;
            _pgrDemo.AssociatedControlID = _rbSelection1Red.ID;
            _pgrDemo.ReInitialize();
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren des RadioButton-Steuerelements Grün in der Auswahl 1.
        /// </summary>
        protected void RadioButtonGreenSelection1_CheckedChanged(object sender, EventArgs e)
        {
            _pnlSelection1.BackColor = System.Drawing.Color.Green;
            _pgrDemo.AssociatedControlID = _rbSelection1Green.ID;
            _pgrDemo.ReInitialize();
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren des RadioButton-Steuerelements Blau in der Auswahl 1.
        /// </summary>
        protected void RadioButtonBlueSelection1_CheckedChanged(object sender, EventArgs e)
        {
            _pnlSelection1.BackColor = System.Drawing.Color.Blue;
            _pgrDemo.AssociatedControlID = _rbSelection1Blue.ID;
            _pgrDemo.ReInitialize();
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren des RadioButton-Steuerelements Rot in der Auswahl 2.
        /// </summary>
        protected void RadioButtonRedSelection2_CheckedChanged(object sender, EventArgs e)
        {
            _pnlSelection2.BackColor = System.Drawing.Color.Red;
            _pgrDemo.AssociatedControlID = _rbSelection2Red.ID;
            _pgrDemo.ReInitialize();
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren des RadioButton-Steuerelements Grün in der Auswahl 2.
        /// </summary>
        protected void RadioButtonGreenSelection2_CheckedChanged(object sender, EventArgs e)
        {
            _pnlSelection2.BackColor = System.Drawing.Color.Green;
            _pgrDemo.AssociatedControlID = _rbSelection2Green.ID;
            _pgrDemo.ReInitialize();
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren des RadioButton-Steuerelements Blau in der Auswahl 2.
        /// </summary>
        protected void RadioButtonBlueSelection2_CheckedChanged(object sender, EventArgs e)
        {
            _pnlSelection2.BackColor = System.Drawing.Color.Blue;
            _pgrDemo.AssociatedControlID = _rbSelection2Blue.ID;
            _pgrDemo.ReInitialize();
        }
    }
}