﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Demo.Master" AutoEventWireup="true" CodeBehind="WebValidatorRegEx.aspx.cs" Inherits="WeroSoft.Samples.WebValidatorRegEx" %>
<%@ Register Assembly="LearningASPNET_04" Namespace="WeroSoft.Samples" TagPrefix="wro" %>

<asp:Content ID="objContentHeader" ContentPlaceHolderID="head" runat="server">
    <script src="../Scripts/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../Scripts/jquery-ui-1.8.9.custom.min.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="objContentCenter" ContentPlaceHolderID="_plchDemo" runat="server">
    <table>
        <tr>
            <td>
                <p class="Instructions">
                    Vergleichen Sie die Betätigung der Schaltfläche 'Eingabe' mit Eingabe einer 
                    gültigen und einer ungültigen E-Mail-Adresse:</p>
            </td>
        </tr>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="_lblEmail" runat="server" Text="E-Mail-Adresse:"></asp:Label>
                        </td>
                         <td>
                             <asp:TextBox ID="_tbEmail" runat="server"></asp:TextBox>
                        </td>
                   </tr>
                </table>
            </td>
        </tr>
         <tr>
            <td>
                <asp:RegularExpressionValidator ID="_valEmail" runat="server" EnableClientScript="false"
                                                ControlToValidate="_tbEmail" ForeColor="Red"
                                                ErrorMessage="Die E-Mail-Adresse scheint ungültig zu sein." 
                                                ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"/>
            </td>
        </tr>
       <tr>
            <td>
                <asp:Button ID="_btnOK" runat="server" Text="Eingabe" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="objContentRight" ContentPlaceHolderID="_plchProperties" runat="server">
    <wro:CwlbPropertyGrid id="_pgrDemo" AssociatedControlID="_valEmail" runat="server"/>
</asp:Content>

