﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WeroSoft.Samples
{
    public class CwlbApplicationData
    {
        /// <summary>
        /// Liefert oder definiert die Anzahl Zugriffe auf normale Seiten.
        /// </summary>
        public long HtmlPageAccess { get; set; }

        /// <summary>
        /// Liefert oder definiert die Anzahl Zugriffe auf normale Seiten.
        /// </summary>
        public long AspPageAccess { get; set; }

        /// <summary>
        /// Liefert oder  definiert die Anzahl Zugriffe auf cascading style sheets.
        /// </summary>
        public long StyleSheetAccess { get; set; }

        /// <summary>
        /// Liefert oder definiert die Anzahl Zugriffe auf Bilddateien.
        /// </summary>
        public long ImageAccess { get; set; }
    }
}