﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Container für das Binden der Daten an die Vorlage.
    /// </summary>
    public class CwlbAddressContainer : Control, INamingContainer
    {
        /// <summary>
        /// Liefert oder definiert die zu editierende Adresse.
        /// </summary>
        public CwlbAddress Address { get; set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbAddressContainer.
        /// </summary>
        /// <param name="objAddress"></param>
        public CwlbAddressContainer(CwlbAddress objAddress)
        {
            Address = objAddress;
        }
    }
}