﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für die Verwendugn die Demo des Benutzersteuerelements.
    /// </summary>
    public partial class UsingAddressControl : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung für das Initialisieren der Seite.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Init(object sender, EventArgs e)
        {
            _ctlAddress.Save += new EventHandler<CwlbAddressEventArgs>(Address_Save);
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                _ctlAddress.Address = new CwlbAddress("Beat", "Phantastic", "Moderne Strasse 45", "CH-6000 Luzern");
            }
        }

        /// <summary>
        /// Ereignisbehandlung beim Speichern der Daten.
        /// </summary>
        private void Address_Save(object sender, CwlbAddressEventArgs e)
        {
            // Hier bringen Sie den Code für das Speichern der Daten ein
        }
    }
}