﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode der Startseite der Demo
    /// </summary>
    public partial class Start : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Zugriff auf die Masterseite mittels Methode FindControl()
            Label lblContent = this.Master.FindControl("_lblFooterLeft") as Label;
            if (lblContent != null)
            {
                lblContent.ToolTip = "Startseite der Demo Learning ASP.NET 05";
            }
            // Zugriff auf die Masterseite über eine Eigenschaft
            this.Master.FooterLeft.ForeColor = Color.Navy;

            // Zeit initialisieren
            _litTime.Text = DateTime.Now.ToLongTimeString();
        }
    }
}