﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Security.Principal;
using System.Threading;

namespace LearningASPNET_06
{
    public partial class ShowIdentity : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            WindowsIdentity objPageIdentity = this.User.Identity as WindowsIdentity;
            if (objPageIdentity == null)
            {
                _lblPageIdentity.Text = "Keine";
            }
            else
            {
                string strDynamic = Request["Dynamic"] as string;
                if (!string.IsNullOrEmpty(strDynamic) && strDynamic.ToLower() == "true")
                {
                    objPageIdentity.Impersonate();
                }

                if (objPageIdentity.IsAnonymous)
                {
                    _lblPageIdentity.Text = string.Format("Anonym: -{0}-", objPageIdentity.ImpersonationLevel);
                }
                else
                {
                    _lblPageIdentity.Text = string.Format("Authentifiziert: -{0}-", objPageIdentity.Name);
                }
            }

            WindowsIdentity objProcessIdentity = WindowsIdentity.GetCurrent();
            _lblWindowsIdentity.Text = objProcessIdentity.Name;
        }
    }
}