﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WeroSoft.Samples.Models;

namespace WeroSoft.Samples.Controllers
{
    /// <summary>
    /// Controller für die Verarbeitung von Anforderungen an die Verwaltung von Personen.
    /// </summary>
    public class PersonController : Controller
    {
        /// <summary>
        /// Aktion für die Handhabung der Liste der Personen.
        /// </summary>
        /// <returns></returns>
        public ActionResult Index()
        {
            return View(CwlbDataContext.Current.Persons);
        }
    }
}
