﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SilverlightEmbedded.aspx.cs" Inherits="WeroSoft.Samples.Web.SilverlightEmbedded" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family:Verdana;
            margin: 0;
            padding: 0;
            height: 100%; /* this is the key! */
        }
        
        #header
        {
            position: absolute;
            top: 0px;
            left: 0px;
            padding: 0;
            width: 100%;
            height: 100px; /* works only if parent container is assigned a height value */
            background: white;
            color: Navy;
        }
        
        #silverlightPlugIn
        {
            position: absolute;
            top: 100px;
            left: 0px;
            bottom: 50px;
            width: 100%;
            padding: 0;
        }
        
        #footer
        {
            position: absolute;
            bottom: 0px;
            left: 0px;
            width: 100%;
            height: 50px; /* works only if parent container is assigned a height value */
        }
    </style>

    <script type="text/javascript" src="Silverlight.js"></script>
    <script type="text/javascript">
        function onSilverlightError(sender, args) {
            var appSource = "";
            if (sender != null && sender != 0) {
                appSource = sender.getHost().Source;
            }

            var errorType = args.ErrorType;
            var iErrorCode = args.ErrorCode;

            if (errorType == "ImageError" || errorType == "MediaError") {
                return;
            }

            var errMsg = "Unhandled Error in Silverlight Application " + appSource + "\n";

            errMsg += "Code: " + iErrorCode + "    \n";
            errMsg += "Category: " + errorType + "       \n";
            errMsg += "Message: " + args.ErrorMessage + "     \n";

            if (errorType == "ParserError") {
                errMsg += "File: " + args.xamlFile + "     \n";
                errMsg += "Line: " + args.lineNumber + "     \n";
                errMsg += "Position: " + args.charPosition + "     \n";
            }
            else if (errorType == "RuntimeError") {
                if (args.lineNumber != 0) {
                    errMsg += "Line: " + args.lineNumber + "     \n";
                    errMsg += "Position: " + args.charPosition + "     \n";
                }
                errMsg += "MethodName: " + args.methodName + "     \n";
            }

            throw new Error(errMsg);
        }
    </script>
</head>
<body>

    <form id="form1" runat="server" style="height:100%">

        <div id="header">
            <table>
                <tr>
                    <td>
                        <h1>Silverlight Demo</h1>
                    </td>
                    <td style="width: 10%; vertical-align: middle;">
                        <img src="./Images/LogoColor72.jpg" alt="Logo weroSoft GmbH" height="80px"/>
                    </td>
                </tr>
            </table>
        </div>

        <div id="silverlightPlugIn">
            <object id="silverlight" data="data:application/x-silverlight-2," type="application/x-silverlight-2" width="100%" height="100%">
		        <param name="source" value="ClientBin/LearningSilverlight_02.xap"/>
		        <param name="onError" value="onSilverlightError" />
                <param name="initparams" value="Param_1=Data 1,Param_2=Data 2" />
		        <param name="background" value="White" />
		        <param name="minRuntimeVersion" value="4.0.50826.0" />
		        <param name="autoUpgrade" value="true" />
		        <a href="http://go.microsoft.com/fwlink/?LinkID=149156&v=4.0.50826.0" style="text-decoration:none">
 			        <img src="http://go.microsoft.com/fwlink/?LinkId=161376" alt="Get Microsoft Silverlight" style="border-style:none"/>
		        </a>
	        </object>
            <iframe id="_sl_historyFrame" style="visibility:hidden;height:0px;width:0px;border:0px"></iframe>
        </div>

        <div id="footer">
            <p>Handbuch der .NET 4.0 Programmierung, Band 2</p>
        </div>

    </form>
</body>
</html>
